Product Description

 Top Next

For more information on using Backup4all please refer to our user manual (PDF format): weblink Backup4all User Guide

Backup4all is an award-winning backup software for Windows. Backup4all protects your valuable data from partial or total loss by automating backup tasks, password protecting and compressing it to save storage space. Using Backup4all you can easily backup to any local or network drive, or other removable media (such as USB or Firewire drives).

01 Lite - product description

Backup4all can backup open/locked files (if the files are located on local partitions on Windows XP/2003) and it can perform mirror backups. When defining a backup you can also set file filters and schedule the backup for automatic execution. Once a backup is performed, you can see what files have been changed since the last backup or you can read the statistics about the next backup execution. You can use the context menu from the tree to run standard actions associated with the file type.

There is also the option to run predefined backups, such as My Documents, My Pictures, Internet Explorer Favorites, Mozilla FireFox Profiles, Mozilla Thunderbird or Outlook Express emails and settings.

Backup4all has ZIP64 support (can create backups over 2 GB) and creates standard zip files, meaning that you can access it with any zip compatible utility.

You can filter files to be restored.

Backup4all tests the backup files automatically to ensure the backup is safe and correctly executed (uses CRC32).

Backup4all works with any drive letter, including mapped network drives and UNC paths.

Backup4all runs on Windows 2000/2003/XP/Vista and offers multi language support.

Related Topics:

Features Summary

Installation

System Requirements


What Edition to Choose?

 Top Previous Next

There are three editions available: Lite, Standard and Professional.

Backup4all Lite edition implements the basic functionalities of a backup application:

· Easy file and folder selection
· File filtering
· Multiple backup job configurations
· Intuitive interface
· Disk spanning
· Backup open files (XP/2003/Vista, NTFS)
· Predefined backups (My Documents, My Pictures, IE Favorites, Outlook Express, Microsoft Outlook, Vista Mail, Backup4all Configurations)
· Backup statistics
· Backup summary
· Mirror backup type
· Run action before/after backup
· Create shortcut for backup job/group
· Zip password
· Free backup plugins

Backup4all Standard edition has all the features of Backup4all Lite plus:

· Full backup type
· Differential backup type
· Built-in CD and DVD burning support
· Schedule unattended backups
· One Touch Backup
· Sound notification
· Delete sources after successful backup
· Security password
· Predefined filters
· Clean backup

Backup4all Professional edition has all the features of Backup4all Standard, plus:

· Incremental backup type
· Email notifications
· Backup to FTP
· Test FTP backups using XCRC (is supported by server)
· AES encryption (128-bit, 192-bit and 256-bit)
· Run backup at system shutdown
· Delete empty directories after backup

See Feature Matrix for a more detailed comparison between Lite, Standard and Professional editions.

Related Topics:

Feature Matrix

Features Summary


System Requirements

To install Backup4all you need Windows 2000/XP/Server 2003 or Windows Vista and at least 20 megabytes of free disk space. Installing additional language files may increase the space requirements.

Because the application uses zip compression, additional disk space is needed for the temporary directory. The amount of free space depends on the size of files to backup.

Note: Backup4all can backup open files only if installed on Windows XP, Windows 2003 Server or Windows Vista and if the files are on NTFS partitions. Backup4all works on Windows 2000 too but this feature will not be available on these systems.

Related topics:

Installation


Installation

Install

To install Backup4all on a computer you need to have administrative rights. The installation process does not take much time. All you need to do is to follow the instructions of the Backup4all Setup Wizard. There is no need to reboot at the end of the setup, you can run the program right after it is installed on your machine.

If you have already installed an older version of Backup4all, you can install the new version on top of the older one, no need to uninstall it (the installer will recognize if the program is running and ask if you wish to close it in order to continue). You might need to close Backup4all manually if it is in a middle of an operation.

Note: If you have version 3.x (or previous) installed, you can install version 4.x without uninstalling the other one. Backup4all 4 will be installed and run separately, and will give you the option to import your backup jobs/groups from the previous versions.

When you start the installation process you will be prompted to choose a language for the setup wizard. Later during the setup you can check to install other language files too. If you install multiple language files, Backup4all will use the selected language as the default one. After installation, to switch between them, go to Backup4all's menu, select Tools->Options->General.

Steps during installation:

1) Select setup language - you need to choose from the drop-down box a language for the setup wizard

2) Setup welcome message - press Next to continue

3) License agreement - shows the Backup4all EULA. After you read and accept it, check the I accept the agreement option and click Next to continue.

4) Choose setup type

- Typical - Backup4all will be installed with the default settings

- Custom - you can choose the features to be installed, select different application folders and additional tasks.

Choose which features will be installed.

You can change the folder where Backup4all will be installed. By default it creates an entry in the Program Files directory.

- Complete - Backup4all will be installed with all default settings.

5) Select default settings - lets you select if you want to have the settings (and backup jobs) kept different for each users (Current User) or shared for all users (All Users). Also it allows to override the location of the default destination and folder where settings will be kept.

6). Select additional tasks

i) Create a desktop icon - checked by default, places a shortcut on desktop

ii) Associate Backup4all 4 with the ".bkc" extension - checked by default, will associate the .bkc files with Backup4all (".bkc" are catalogs created by Backup4all after each backup)

iii) Start on Windows startup - if checked Backup4all will load each time Windows starts

iv) Create a Quick Launch icon - checked by default, places an icon in the Quick Launch toolbar

7) Select default backup folder - select a folder where backups will be stored by default

Blank Scheduler Password - if checked it will allow blank passwords when scheduling

8) Select languages for the interface - you can check to multiple languages for Backup4all's interface

9) Select default interface language - if multiple languages were selected, you need to select a default one

10) Ready to install Backup4all. Click on Install to start the installation.

Uninstall

To uninstall Backup4all, first you need to close the application. Then go to the Backup4all application group (from the Windows Start -> Programs -> Backup4all 4 menu and click Uninstall).

You can also uninstall Backup4all using the Add/Remove Programs option from Start->Settings->Control Panel.

Related Topics:

System Requirements


Command Line Parameters

Installing Backup4all with command line parameters

Backup4all can be installed with various command line parameters that are useful when an unattended installation is needed.

Syntax

b4asetup.exe [switches]

Switches can be any combination of the following parameters:

/SILENT - Instructs Setup to be silent. When Setup is silent the wizard and the background window are not displayed but the installation progress window is. Everything else is normal so for example error messages during installation are displayed. If a restart is necessary and the /NORESTART command isn't used (see below) and Setup is silent, it will display a "Reboot now?" message box.

/VERYSILENT - Instructs Setup to be very silent. When a setup is very silent the installation progress window is not displayed and if a restart is necessary it will reboot without asking. However the error messages during installation are displayed.

/SUPPRESSMSGBOXES - Instructs Setup to suppress message boxes. Only has an effect when combined with /SILENT and /VERYSILENT.

/NOCANCEL - Prevents the user from cancelling during the installation process, by disabling the Cancel button and ignoring clicks on the close button. Useful along with /SILENT or /VERYSILENT.

/DIR="x:\dirname" - Overrides the default directory name displayed on the Select Destination Location wizard page. A fully qualified pathname must be specified.

/GROUP="folder name" - Overrides the default folder name displayed on the Select Start Menu Folder wizard page.

/LANG="language" - Specifies the language to use for the installation. When a valid /LANG parameter is used, the Select Language dialog will be suppressed.

/CURRENTUSER=[YES|NO] - Specifies if the settings for Backup4all will be used for the current user only (YES) or for all users (NO)

/SETTINGSFOLDER="DEFAULT|<PATH>" - Specifies the path of the folder where program's settings will be kept. If DEFAULT is selected, the path will be "C:\Documents and Settings\<CURRENT USER NAME>\Application Data\Softland\Backup4all 4\" (same as if <PATH> would be empty). Otherwise if a full path is entered that will be where the settings folder will be kept.

/TASKS = "comma separated list of task names" - Specifies a list of tasks that should be initially selected or deselected. To deselect a task, prefix its name with a "!" character. Only the specified tasks (and their children) will be selected; the rest will be deselected. Use the /MERGETASKS parameter instead if you want to keep the default set of tasks and only select/deselect some of them.

Task names:

· desktopicon - Create a desktop icon
· associate - Associate Backup4all with the .bkc file extension
· autostart - Start on Windows startup
· quicklaunchicon - Create a Quick Launch icon
· startVSS - Start the Volume Shadow Service (Needed for open file backup)

/MERGETASKS="comma separated list of task names" - Like the /TASKS parameter, except the specified tasks will be merged with the set of tasks that would have otherwise been selected by default.

/DefaultBackupDest="x:\dirname" - Overrides the default directory name displayed on the Default Backup Folder wizard page. A fully qualified pathname must be specified.

/Languages="language1-language2-..." - Specifies the languages that will be installed. Language codes available in the current version: ITA, CHS, CHT, CSY, DAN, DEU, ELL, ESP, FRA, ITA, JPN, NL, NO, PLK, PTB, ROM, RUS, SV, TRK.

/DefaultLang="language" - Specifies the default language. Language codes available in the current version: ITA, CHS, CHT, CSY, DAN, DEU, ELL, ESP, FRA, ITA, JPN, NL, NO, PLK, PTB, ROM, RUS, SV, TRK

/RegisterName="registration name" - Backup4all registration name

/RegisterKey="license key" - Backup4all Registration key

/NoInstallIfExists - Instructs setup to check if the "Backup4all" is already installed, and if it is, does not start the installation

Uninstalling Backup4all with command line parameters

The uninstaller has also some parameters for silent uninstall.

Syntax

unins000.exe [switches]

Switches can be any combination of the following parameters:

/SILENT - Instructs uninstaller to be silent during uninstallation. When Setup is silent the wizard and the background window are not displayed but the uninstallation progress window is. Everything else is normal so for example error messages during uninstallation are displayed.

/VERYSILENT - Instructs uninstaller to be very silent during uninstallation. When a setup is very silent the uninstallation progress window is not displayed. However the error messages during uninstallation are displayed.

/SUPPRESSMSGBOXES - Instructs uninstaller to suppress message boxes. Only has an effect when combined with /SILENT and /VERYSILENT.


Features Summary

Intuitive interface

With the help of the file tree, you can see all files included in the backup and the new files that will be stored at next backup execution. You can sort and search this file tree. You can start the application at Windows startup or minimize it to the system tray.

Flexibility

Backup4all is very flexible, allowing you to run almost any backup operation you might require.

Getting Started

The Startup Window will lead you to the correct place in application even if you have not used Backup4all before. This way you will be able to perform backup/restore operations in few steps.

Manage multiple backup jobs

You can define multiple backups and save them for future use. On the main form, you have an overview of all defined backups organized in groups. You can create shortcuts to any backup job and execute it with a double click from your desktop or other location. Backup4all comes with several predefined backup jobs: My Documents, My Pictures, Outlook Express, Internet Explorer Favorites, Mozilla FireFox Profiles, Mozilla Thunderbird and Backup4all Configurations.

Backup destination

You can store the backup in a local folder, on another computer in the same LAN, on USB drives, or other removable media.

Backup locked or open files

Backup4all uses the Volume Shadow Copy service that allows you to back up local open files from NTFS partitions in Windows XP/2003/Vista. Now you can backup your emails and settings without closing Microsoft Outlook, Outlook Express or other email clients.

Create backup shortcut

You can create a "shortcut" of a backup job or backup group to a desired location. Whenever you will double click that shortcut, the associated backup will start running.

Backup Plugins

Starting with version 3.10 is possible to load plugins to backup/restore the settings of specific programs. A plugin is actually an XML file that once imported in Backup4all adds a predefined backup. For instance, a backup plugin for Mozilla FireFox, when loaded, will automatically add in the Predefined Backup list an entry for Firefox, so when defining a new backup job if that’s selected, the FireFox profiles will be added as source for the new backup.

Statistics

You can actually see the number of files that will be processed at next backup (very useful when you have a large number of files). Other information refers to the size and date of the executed backups and the available free space on storage destination.

Summary

Textual description of all configurations made to a backup job.

New backup wizard

Provides step-by-step instructions to create a new backup job.

Easy file and folder selection

You can browse a folder tree to select individual files and folders as source of the backup or you can include or exclude them individually.

Backup types

Backup4all performs: and mirror backups.

Backup4all can also delete the source files (after a backup successfully completed) and empty directories.

Pause/Resume

Using the Pause/Resume buttons, you can pause a backup execution and you can continue it after that.

Stop

Using the Stop button is different than Cancel. When you press Stop, the backup is not aborted, but the process will end after the current file is backed up and the catalog is saved.

File/folder filters

Powerful filtering engine with lots of options (filter by attribute, size, date, name and type). You can build filters using a combination of restrictions and you can define separate filters for inclusion and exclusion.

Built-in scheduler

You can easily set up a powerful scheduler using the available scheduler configurations to make unattended backups.

Extra actions

Perform extra actions before and/or after the backup execution.

Test backup

The application tests the backups (using CRC32). This ensures that the files have been backed up properly and the backup is safe. You can also test the backup integrity at a later time from the application main menu.

When backing up to removable media, after each media item written the backup test is performed (for spanned backups).

Standard zip compression

Backup4all creates standard zip files. This means that your data is not at the mercy of the utility itself; you can access it with any zip compatible utility.

Customized zip names

You can customize name prefixes for the zip archives, which store your backup versions. Backup4all also supports file/folder paths longer than 260 characters (turn off file parsing).

Password protection

You can protect your zip files by setting a password for each backup.

Snapshots

The mirror backup type makes an exact copy of selected files and folders.

Disk spanning

Automated support for splitting your backup between many removable disks or even on the same media. You can specify the maximum size of the zip archives.

Multi-thread

Backup4all allows you to execute a whole group of backups at once, showing the progress of each backup.

Logs

The operations performed by Backup4all are logged. You can change the location of the log file if you want to store it in a different place.

Command line

There is a command line version of Backup4all available. You can use the "Backup4all Scheduler" to schedule backups.

Restore wizard

Restore backed up data step-by-step. Allows you to choose the version of files which will be restored and filter them to restore only the files that are needed.

Restore

You can quickly restore any file version, the latest version of the files or a whole folder from the backup job.

Compatibility

Restore can also be performed via any standard zip software, giving you more flexibility, if you need to restore on a different computer (if the backup was created using independent splits, see this section on how to restore correctly using 3rd party zip utilities).

File warnings

File warnings like access denied, locked files, etc. are displayed to the user during backup execution if the user chooses so. These warnings are also written to the log file. Scheduled backups do not show these warnings even when this option is set. Default is checked.

Check for Updates

You can set Backup4all to automatically check for updates with a specified frequency or you can manually check for updates.

Backup catalog

Backup4all stores a summary snapshot of the file information into a backup catalog file (.bkc) each time a backup job is run. For every file backed up, the snapshot contains the file name, size and attributes as well as the date and time of creation, modification and access. The backup catalog is stored both locally and remotely (for backups to removable media or remote locations).

Related Topics:

What Edition to Choose?

Feature Matrix


Feature Matrix

Backup4all comes in three* editions: Lite, Standard and Professional.

Professional is the full edition with all features enabled, while Standard and Lite are the limited-functionality editions.

Below you can find a comparison of the features available in each edition.

*Backup4all Portable Edition is a custom version of Backup4all that works only on portable devices.

Interface |  |  |  |
 | Lite | Standard | Professional | Portable Edition
Start application at Windows startup | yes-feature | yes-feature | yes-feature | no-feature
Minimize/close application to system tray | yes-feature | yes-feature | yes-feature | yes-feature
Browsable file and folder tree of the backup sources | yes-feature | yes-feature | yes-feature | yes-feature
Add sources with drag-drop | yes-feature | yes-feature | yes-feature | yes-feature
Browsable file and folder tree of the backup contents | yes-feature | yes-feature | yes-feature | yes-feature
File finder in Explore view (by name) | yes-feature | yes-feature | yes-feature | yes-feature
Sort files in Explore view (by name, size or date) | yes-feature | yes-feature | yes-feature | yes-feature
Multiple selection in Explore view | yes-feature | yes-feature | yes-feature | yes-feature
Backup View | no-feature | yes-feature | yes-feature | yes-feature
Backup View | yes-feature | yes-feature | yes-feature | yes-feature
Brief view | yes-feature | yes-feature | yes-feature | yes-feature
Backup statistics | yes-feature | yes-feature | yes-feature | yes-feature
Available space in destination on Statistics view | yes-feature | yes-feature | yes-feature | yes-feature
Backup summary | yes-feature | yes-feature | yes-feature | yes-feature
Manage multiple backup configurations | yes-feature | yes-feature | yes-feature | yes-feature
Group backup configurations | yes-feature | yes-feature | yes-feature | yes-feature
Create shortcut to predefined backup jobs | yes-feature | yes-feature | yes-feature | no-feature
Predefined backups (My Documents, My Pictures, Outlook Express, Backup4all Configurations) | yes-feature | yes-feature | yes-feature | yes-feature
Resizable windows. Store position and size | yes-feature | yes-feature | yes-feature | yes-feature
Resizable columns. Store position, size and visibility | yes-feature | yes-feature | yes-feature | yes-feature
Toggle toolbar buttons hints and captions | yes-feature | yes-feature | yes-feature | yes-feature
Visualization modes for application startup | yes-feature | yes-feature | yes-feature | yes-feature
Change background color option | yes-feature | yes-feature | yes-feature | yes-feature
"Show errors in tray" option | yes-feature | yes-feature | yes-feature | yes-feature
View list as: Tree, Icons or List | no-feature | yes-feature | yes-feature | yes-feature
Backup4all security password | no-feature | yes-feature | yes-feature | yes-feature
Create predefined filters | no-feature | yes-feature | yes-feature | yes-feature
Backup |  |  |  |
 | Lite | Standard | Professional | Portable Edition
Backup open files (locked or in use) | yes-feature | yes-feature | yes-feature | yes-feature
Backup wizard | yes-feature | yes-feature | yes-feature | yes-feature
Browsable file and folder selection | yes-feature | yes-feature | yes-feature | yes-feature
Select individual files and folders to be backed up | yes-feature | yes-feature | yes-feature | yes-feature
Inclusion and exclusion filters for files | yes-feature | yes-feature | yes-feature | yes-feature
Customize filters | yes-feature | yes-feature | yes-feature | yes-feature
AES encryption (128-bit, 192-bit and 256-bit) | no-feature | no-feature | yes-feature | yes-feature
Email notifications on success, errors, warnings | no-feature | no-feature | yes-feature | yes-feature
Built-in scheduler | no-feature | yes-feature | yes-feature | no-feature
Run program/action before and/or after backup | yes-feature | yes-feature | yes-feature | yes-feature
Run program/action only once | yes-feature | yes-feature | yes-feature | yes-feature
Run at system shutdown | no-feature | no-feature | yes-feature | no-feature
Clear backup action with parameters | yes-feature | yes-feature | yes-feature | yes-feature
Use local catalogs | yes-feature | yes-feature | yes-feature | yes-feature
Play sound on success, warning, error | no-feature | yes-feature | yes-feature | yes-feature
Assign volume labels for removable media | yes-feature | yes-feature | yes-feature | yes-feature
Assign label for each backup version | yes-feature | yes-feature | yes-feature | yes-feature
Set backup thread priority | yes-feature | yes-feature | yes-feature | yes-feature
One Touch Backup feature | no-feature | yes-feature | yes-feature | yes-feature
Independent spanned backups | yes-feature | yes-feature | yes-feature | yes-feature
Delete empty directories after backup | no-feature | no-feature | yes-feature | yes-feature
Create backup log | yes-feature | yes-feature | yes-feature | yes-feature
Create backup catalog file | yes-feature | yes-feature | yes-feature | yes-feature
Free Backup Plugins | yes-feature | yes-feature | yes-feature | yes-feature
Clean backup | no-feature | yes-feature | yes-feature | no-feature
Backup types |  |  |  |
 | Lite | Standard | Professional | Portable Edition
Mirror backup | yes-feature | yes-feature | yes-feature | yes-feature
Full backup | no-feature | yes-feature | yes-feature | yes-feature
Store multiple versions for full backup type | no-feature | yes-feature | yes-feature | yes-feature
Differential backup | no-feature | yes-feature | yes-feature | yes-feature
Store multiple versions for differential backup | no-feature | yes-feature | yes-feature | yes-feature
Incremental backup | no-feature | no-feature | yes-feature | yes-feature
Store multiple versions for incremental backup | no-feature | no-feature | yes-feature | yes-feature
Limit number of backup versions | no-feature | yes-feature | yes-feature | yes-feature
Backup format |  |  |  |
 | Lite | Standard | Professional | Portable Edition
Compress backup files (zip format) | yes-feature | yes-feature | yes-feature | yes-feature
Support for zip64 technology | yes-feature | yes-feature | yes-feature | yes-feature
Choose zip compression level | yes-feature | yes-feature | yes-feature | yes-feature
Password protected zip files | yes-feature | yes-feature | yes-feature | yes-feature
Customize zip name prefix | no-feature | yes-feature | yes-feature | yes-feature
Split zip files | no-feature | yes-feature | yes-feature | yes-feature
One to one copy (mirror backup) | yes-feature | yes-feature | yes-feature | yes-feature
Custom file locations (for temporary, initialization, log, catalog file folder) | yes-feature | yes-feature | yes-feature | no-feature
Backup media |  |  |  |
 | Lite | Standard | Professional | Portable Edition
Backup from/to local hard drives | yes-feature | yes-feature | yes-feature | yes-feature
Backup from/to network drives | yes-feature | yes-feature | yes-feature | yes-feature
Backup from/to external hard drives | yes-feature | yes-feature | yes-feature | yes-feature
Backup to FTP (SSL support, active/passive transfer modes, firewall support) | no-feature | no-feature | yes-feature | yes-feature
Backup from/to removable media | yes-feature | yes-feature | yes-feature | yes-feature
Backup from/to CD and DVD (using UDF drivers) | no-feature | yes-feature | yes-feature | yes-feature
Backup from/to CD and DVD (using built-in burner) | no-feature | yes-feature | yes-feature | yes-feature
Backup execution |  |  |  |
 | Lite | Standard | Professional | Portable Edition
Show backup progress | yes-feature | yes-feature | yes-feature | yes-feature
Execute all backup configurations in a group | yes-feature | yes-feature | yes-feature | yes-feature
Perform unattended backups using built-in schedulers | yes-feature | yes-feature | yes-feature | no-feature
Command line | yes-feature | yes-feature | yes-feature | no-feature
Test |  |  |  |
 | Lite | Standard | Professional | Portable Edition
Test backups (uses CRC32) | yes-feature | yes-feature | yes-feature | yes-feature
Test FTP backups (uses XCRC) | no-feature | no-feature | yes-feature | yes-feature
Test after backup option | yes-feature | yes-feature | yes-feature | yes-feature
Set test thread priority | yes-feature | yes-feature | yes-feature | yes-feature
Backup test performed after writing each disc | no-feature | yes-feature | yes-feature | yes-feature
Delete Sources after successful backup | no-feature | yes-feature | yes-feature | yes-feature
Create test log | yes-feature | yes-feature | yes-feature | yes-feature
Restore |  |  |  |
 | Lite | Standard | Professional | Portable Edition
Restore wizard | yes-feature | yes-feature | yes-feature | yes-feature
Restore specific backup increments | no-feature | yes-feature | yes-feature | yes-feature
Filter files to restore | yes-feature | yes-feature | yes-feature | yes-feature
Restore all files as of specific date | yes-feature | yes-feature | yes-feature | yes-feature
Restore to different folder | yes-feature | yes-feature | yes-feature | yes-feature
Restore selected file | yes-feature | yes-feature | yes-feature | yes-feature
Restore selected version of a file | no-feature | yes-feature | yes-feature | yes-feature
Restore selected folder | yes-feature | yes-feature | yes-feature | yes-feature
Restore preview | yes-feature | yes-feature | yes-feature | yes-feature
Set restore thread priority | yes-feature | yes-feature | yes-feature | yes-feature
Create restore log | yes-feature | yes-feature | yes-feature | yes-feature
Languages |  |  |  |
 | Lite | Standard | Professional | Portable Edition
Multi-language support | yes-feature | yes-feature | yes-feature | yes-feature
Legend |  |  |  |

"New" means the feature is new and is available only from Backup4all 4

"Yes" means the feature was already available in previous Backup4all versions

Related Topics:

Features Summary

What Edition to Choose?


Commands

Toolbar

The toolbar contains a selection of the most important Backup4all functions.

New - starts the New Backup Wizard

Open - creates a new backup job from the opened ".bkc" or ".ini" file

Properties - opens a dialog to edit the backup job configuration

Views - clicking this button will show the following drop-down menu:

· Brief - switches to Brief view
· Explore - switches to Explore view
· Statistics - switches to Statistics view
· Summary - switches to Summary view

Backup - starts the backup process for the currently selected backup job. Clicking the small arrow displays the following drop-down menu:

· Make - performs the backup type defined in backup properties

Restore - starts the Restore Wizard

· Restore Latest Version - restores the latest version to its original location without showing the Restore wizard
· Restore Latest Version To - restores the latest version to another location (prompts for one) without showing the Restore wizard

Test - opens the Test Backup window

Pause - pause the backup, test or restore process

Resume - resume the backup, test or restore process

Stop - stops the backup, test or restore process

Cancel - cancels the backup, test or restore process

Refresh - reloads the backup catalog

Menu commands

File

· New Backup... starts the New Backup Wizard, same as the New toolbar button or keyboard shortcut Ctrl+N
· Open Backup... creates a new backup job from the opened ".bkc" or ".ini" file, same as the Open toolbar button or the keyboard shortcut Ctrl+O
· Create Like duplicates the selected backup job, same as the toolbar button Create Like or the keyboard shortcut Ctrl+E
· Create Shortcut... creates a shortcut to a backup job (for easy backup execution from outside the program) on your desktop, quick launch or other location
· Delete Backup - removes the current selected backup, same as the toolbar button Delete or the keyboard shortcut Ctrl+Del
· Properties... opens the backup properties window, same as the toolbar button Properties or the keyboard shortcut Ctrl+P
· New Group... creates a new backup group
· Rename Group... renames the current expanded group
· Delete Group - removes the current expanded backup jobs group
· Import from version 2... imports ".ini" files from version 2 of Backup4all
· Import from version 3... imports ".ini" files from version 3 of Backup4all

· Import from version 4... imports ".ini" files from version 4 of Backup4all
· Exit - exits the application, same as the keyboard shortcut Alt+F4

View

· Brief - switches to Brief view, same as the Explore toolbar button or keyboard shortcut F4
· Explore - switches to Explore view, same as the Explore toolbar button or keyboard shortcut F2
· Statistics - switches to Statistics view, same as the Statistics toolbar button or keyboard shortcut F3
· Summary - switches to Summary view, same as the Summary toolbar button or keyboard shortcut CTRL + F4
· Open Folder - shows list of folders that can be opened with Windows Explorer
· Destination Folder - folder containing the destination files
· Catalog Folder - folder containing the ".bkc" files
· Initialization Folder - folder containing the ".ini" files
· Job Logs - contains a list of available logs
· Last Backup Log - shows the latest backup log for the selected backup job. If there is no log file, the menu is disabled.
· Last Restore Log - shows the latest restore log for the selected backup job. If there is no log file, the menu is disabled.
· Last Test Log - shows the latest test log for the selected backup job. If there is no log file, the menu is disabled
· Open Log Folder - opens Windows Explorer showing the contents of the log folder
· History - opens the History window. If there are no items in history, this option is disabled.
· View Application Log - shows the application's log file. If there is no log file, the menu is disabled.
· Show Toolbar - if not selected, the toolbar will be hide. By default this option is selected.
· Restore Default Layout - restores Backup4all's windows size, position and columns

Actions

· Backup
· Make Backup - starts the backup process for the selected backup job, same as the Backup toolbar button or keyboard shortcut F6
· Backup <Name of group> Group - starts the backup process for each backup job in the opened group, one backup job at a time. Backup jobs are executed in the same order as they are visible in the backup group
· Restore
· Restore... starts the Restore wizard same as the Restore toolbar button or the keyboard shortcut F7
· Restore Latest Version - restores the latest version to its original location without showing the Restore wizard
· Restore Latest Version To... - restores the latest version to another location (prompts for one) without showing the Restore wizard
· Test... opens the Test Backup window, same as the Test toolbar button or the keyboard shortcut F9
· Pause (CTRL + F8) - pause the backup, test or restore process, same as the Pause toolbar button
· Stop (CTRL + S) - stops the backup, test or restore process, same as the Stop toolbar button
· Cancel (F8) - cancels the backup, test or restore process, same as the Cancel toolbar button
· Refresh (F5) - reloads the backup catalog

Tools

· Plugins - opens the Manage Plugins window
· Getting Started - opens the Getting Started window
· Options - opens the Options window

Help

· Backup4all Help (F1) - opens the help file
· Backup4all on the Web - opens weblink http://www.backup4all.com/
· Support Request... starts a new email message that will be sent to the support team
· How to Order - provides information about where and how to buy the application
· Register... opens the Register Backup4all window
· Check for updates - displays a window with the available updates
· About Backup4all - opens the About box of Backup4all

Related Topics:

Brief View

Explore View

Statistics View

Summary View

Keyboard Shortcuts


Getting Started

This window is displayed when you first run Backup4all. You can also access this window if you select Getting Started from the Tools menu.

There are two large buttons for backup and restore and a list of articles about Backup4all.

Backup

Press this button to create or run backup jobs.

Create a new Backup

Press the New button to start creating a new backup job using the New Backup Wizard.

If you want to assign the new backup job to your One touch device, check the Use the new job for One Touch Button option.

Run Selected Backup

Select an existing backup job from the list and press Backup to run the selected job.

If you want to assign the selected backup job to your One touch device, check the Use the new job for One Touch Button option.

Restore

Open an Existing Backup

Use the Open button to recreate a backup job from the backup catalog (.bkc) or from the initialization file (.ini).

The recreated backup job will be added to the backup list.

Restore Selected Backup

Select an existing backup job from the list and press Restore to open the Restore Wizard.

If you don't want to show the Backup4all Startup window next time you open Backup4all, uncheck the Show this dialog at next start option.

By default this option is checked.


Backup List

Backup list contains all the defined backups visible in the left side of Backup4all's main window. The backup jobs are grouped into backup groups, for easy handling.

To configure a backup job's appearance (icon and label) in the backup list, you have to open the Backup Properties window, switch to the General tab, change the name of the backup job, choose the group of the backup job and select a backup job icon. If you have several backup jobs defined in the same group, you can check the option Sort backup jobs alphabetically in a group from Tools->Options->General to have them ordered by name. When you backup an entire group, the backup jobs are backed up in the order that they are displayed in the group.

When right clicking a backup job, a menu is displayed giving the following options:

· Make Backup - starts the backup process for the selected backup job
· Restore - opens the Restore Wizard window for the currently selected backup job
· Restore Latest Version - starts the latest version restore process for the selected backup job
· Restore Latest Version To - opens a window to select the folder were you want the backup to be restored
· Test... starts the test process for the currently selected backup job
· Cancel - aborts current backup process
· Pause - pause the current backup/test/cleanup/restore process
· Stop - stops the current backup/test/cleanup/restore process
· Job Logs - lets you open and view the Last Backup Log, Last Restore Log, Last Test Log
· Backup <Selected Group Name> Group - executes all backup jobs from the group
· New Group... adds a new group
· Rename group... renames the selected group
· Delete Group - deletes the selected group and all its backup jobs
· Create Like - duplicates a backup job
· Delete Backup - deletes a backup job
· Properties... opens the Backup Properties window

Related Topics:

Brief View

Explore View

Statistics View

Summary View

Commands

Manage Backup Groups


Manage Backup Groups

Create a new backup group

1) When creating (or editing) a backup job using the New Backup Wizard in Advanced mode (or Backup Properties), type a new name (that does not exist) for the backup group. The new group will be created when the wizard is finished.

2) Right click on backup list (left panel of the main window) and choose New Group. The Create a new group window will appear and you can enter the name of the group. A new empty group will be created (which can be selected later from the Groups combo of the New Backup Wizard or from the Backup Properties window).

Rename a backup group

Select the backup group from the groups drop-down list. Open the File menu or right click on the backup list and choose Rename Group. A window similar with the one for Create a new group will appear. You can enter the new name and press OK. The group will be renamed and it will keep all the backup jobs it had.

Delete a backup group

Select the backup group from the groups drop-down list. Go to File menu or right-click in the backup list and choose Delete Group. A warning message will appear before the deletion. If you choose Yes, the backup group will be deleted with all its backup jobs. To move backup jobs to a different backup group, you must edit the backup job's properties and select a different group for them.

Related Topics:

Backup List

Commands

Backup Properties - General


Brief View

You can activate Brief view by:

· selecting the Brief menu item from the View menu
· pressing F4 keyboard shortcut
· selecting Brief from the Views drop-down list

This view provides basic details and buttons for the selected backup job.

Backup

Pressing this button starts the backup process for the currently selected backup job.

Restore

Pressing this button starts the Restore Wizard.

Destination

Shows the destination of the backup job.

Backup type

Shows the backup type of the backup job.

Go to Summary

This link will lead you to the Summary view for a complete description of the backup

Last backup on

Date and time of the last backup

Last backup status

Displays the following information:

· Last backup was successful when everything went OK
· Last backup failed when the backup was aborted due to an error
· Last backup had <X> warnings when the backup was done, but <X> files could not be backed up
· Last backup was canceled when the user canceled the backup execution

Next scheduled backup

Date and time when the backup is scheduled to be executed again

Go to Statistics

This link will lead you to the Statistics view for a complete statistics listing

View configuration errors

Press this link to open a new window with the configuration errors found in the current backup job. For each error there is a suggestion about how to fix the problem.

When the program starts, go directly to

Check this option if you want to can change the default action of the Views button. The available options are: Explore, Statistics and Summary.

The default action of the Views button can also be changed from Tools->Options->Preferences.

Related Topics:

Explore View

Statistics View

Summary View

Backup List

Commands


Explore View

You can activate Explore view by:

· selecting Explore from the Views drop-down list
· selecting the Explore menu item from the View menu
· pressing F2 keyboard shortcut

The Explore View consists of a File Tree on top and a File Version List at the bottom.

File Tree

The file tree content depends on the backup sources and file filters defined for the selected backup job. You can right-click on the folders and files in the tree to open the same context menu that is available from Windows Explorer if the option Show context menu from Tools- >Options->Preferences is checked. If that option is unchecked, the right-click operation will display only the Restore Latest Version and Restore Latest Version to... You can select multiple files.

Be careful about handling files in the Explore view with the Show context menu option checked: all actions are performed on the hard disk and any deletion will actually remove the file from your hard disk!

Beside the Windows Explorer context menu items, there are also two custom menu items, which enable the restore of the last version of a file: Restore Last Version and Restore Last Version To...

The file tree shows the last modified date, size and attributes for each file in additional columns. This information is the same as shown in Windows Explorer. You can sort the files by name, date, size or attributes by simply clicking on the appropriate column header. The files are sorted within their folders. Size, Modified and Attributes columns can be hidden if you right click on the column header and uncheck the names of the columns that you want to remove.

There are seven buttons on top of the file tree that help you show/hide files depending on their status:

If pressed, files that will be added to the backup are shown in the tree. All files with this status will have [image] picture in front of them.

If pressed, files that have not been changed since last backup are shown in the tree. All files with this status will have [image] picture in front of them.

If pressed, files that have been changed since last backup are shown in the tree. All files with this status will have [image] picture in front of them.

If pressed, files that are already present in backup and are now excluded by new changes in file filter are shown in the tree. All files with this status will have [image] picture in front of them.

If pressed, files that have been deleted from hard disk are shown in the tree. All files with this status will have [image] picture in front of them.

If pressed, all directories in the tree will be expanded. For a large number of files and directories, this operation can take a longer time. Press the ESC key to stop the process.

If pressed, all directories in the tree will be collapsed.

If you do not want to see empty folders when clicking on Expand all, check Hide empty folders on expand all in the Tools->Options->Preferences window and click Expand all again. The tree will show only folders containing at least one file.

There is an easy way to search for a file in the files and folder tree: simply start typing the file's name and the matching file name will be selected. Only files that are visible in the tree are found, so if you want to search in all files, you have to do an Expand all first.

If you want to see only the backed up files press these buttons:

For the files that will be added to the next backup press:

File Version List

If a file is selected in the tree, at the bottom of the view, you can see the list of the file's versions from the backup. Information provided for each version:

· Type - Type of the Backup. Each of the backup types is represented by a descriptive icon: Mirror
· Ver. - File version number
· Bck. No. - Number of the backup
· Backup Date - Date and time when the version was added to the backup
· Status - Status of operation performed on that file version (added, excluded...)
· Size - Size of the file version
· Modified - Date and time when the file version was last modified (at backup execution)
· Attributes - Attributes of the file version at backup execution (read-only, hidden, archive). This column is hidden by default
· Bkc. Label - Label of the backup increment. This column is hidden by default

The file versions in the list can be sorted by clicking on the column headers. The right-click menu on the column header provides a handy way to show/hide unnecessary columns (except the Version column which is grayed out).

Backup4all provides an easy way to restore any file version. Just right-click on the file version you want to restore and:

· choose Restore if you want to restore the version in the original location
· choose Restore to... if you want to restore the version in another location
· choose Open if you want to open/view that version of the file with the associated Windows application
· choose View with Notepad if you want to open/view that version of the file with Notepad

Related Topics:

Brief View

Statistics View

Summary View

Backup List

Commands


Statistics View

You can activate Statistics view by:

· selecting Statistics from the Views drop-down list
· selecting from the View menu the Statistics menu item
· pressing the F3 keyboard shortcut

This view provides statistical information about the last backup performed and calculates statistics about the next backup, based on the current backup job configuration.

Information list:

Last backup on

Date and time of the last backup

Last backup duration

Shows the duration of the last backup execution

Number of backups

Number of times the backup job was executed

Last backup status

Displays the following information:

· Last backup was successful when everything went OK
· Last backup failed when the backup was aborted due to an error
· Last backup had <X> warnings when the backup was done, but <X> files could not be backed up
· Last backup was canceled when the user canceled the backup execution

Files/folders in backup

Shows the number of files in the backup. The number between the brackets is for the files added at the last backup. For full backup the number of files added to the last backup will be always the same with the total number of files. The same for mirror backup without the Fast mirror option activated.

Next scheduled backup

Date and time when the backup is scheduled to be executed again

Next scheduled group backup

Date and time when the backup group is scheduled to be executed again.

Statistics for next backup:

The Calculate Statistics for Next Backup (Ctrl+F5) button will start counting the new, modified, unchanged and excluded files since the last backup execution. The counters will be shown in the labels below, divided into two sections: Files to backup containing the counters for the files that will be added to the next backup, and Changes since last backup containing the counters for the files changed since the last backup. For a large number of files, counting can be time consuming. If you want to stop the counting process press the Cancel button from the toolbar. Calculate Statistics for Next Backup (Ctrl+F5) uses the catalog file (".bkc"). Files to backup counters are calculated depending on the backup job settings: backup type, <Clear backup> action etc. Changes since last backup counters are always the same no matter the backup job settings.

Files/Folders to backup

For the mirror backup type, the counts are based on the changes since the last backup

New files/folders

The number of new files/folders that will be added to backup. For mirror backup (with the Fast mirror option unchecked), the new files/folders counter equals the total number of files/folders.

Modified files/folders

Shows the number of modified files/folders to be added to backup. For mirror backup (with the "Fast mirror" option unchecked), this number will always be 0.

Unchanged files/folders

Shows the number of unchanged files/folders to be added to backup. For mirror backup with Fast mirror option unchecked, this number will always be 0.

Excluded files/folders

Shows the number of excluded files/folders, which will be removed from the backup.

Changes since last backup

Counts the changes since the last backup, regardless of the backup settings

New files/folders

Shows the number of new files/folders since last backup.

Modified files/folders

Shows the number of modified files/folders since last backup.

Unchanged files/folders

Shows the number of unchanged files/folders since last backup.

Excluded files/folders

Shows the number of excluded files/folders. A file/folder gets excluded because of the changes in file/folder filter or because it was deleted or moved from the backup sources.

Total files/folders to backup

Shows the total number of files and folders that will be added to backup next time. This should be the sum of the new, modified and unchanged file and folder counters.

Total size (uncompressed) to backup

Shows the sum of all file sizes to be included in the backup next time it is executed.

Free disk space on destination

Shows the available free disk space on the destination drive.

Related Topics:

Brief View

Explore View

Summary View

Backup List

Commands


Summary View

You can activate the Summary view by:

· selecting Summary from the Views drop-down list
· selecting from the View menu the Summary menu item
· pressing the CTRL + F4 keyboard shortcut

This view provides a text description containing all the configurations made for a backup job. You can copy this text description and put it in a file for later use.

Information included in the Summary:

· General:
· Name:
· Group:
· Predefined backup:
· Description:
· Ini file:
· Destination:
· Destination type:
· Drive:
· Folder:
· Catalog:
· Source(s):
· Filters:
· Main:
· Include filter:
· Exclude filter:
· Customize
· Backup type:
· Type:
· Save storage space:
· Clear archive bit:
· Folder name prefix:
· Fast mirror:
· Create full paths:
· Copy files in a subfolder:
· Remove excluded or deleted files from backup:
· Zip the files:
· Sort mirror files for optimized spanning:
· Compression level:
· Do not compress files of type:
· Always use temporary folder to create zip files:
· Use alternate zipping mode:
· Password:
· Zip split size:
· Create independent splits:
· Advanced settings:
· Backup:
· Use local catalog:
· Test after backup:
· Delete sources after successful backup:
· Ask for backup label before execution:
· Backup open files:
· Backup execution priority:
· Actions:
· Action before backup:
· Action after backup:
· Comparison:
· Comparison criteria:

· Scheduler:
· Show warning and error messages when scheduled:
· Abort backup when network sources are not available:
· Ask for user input when backup cannot continue:

Related Topics:

Brief View

Explore View

Statistics View

Backup List

Commands


Test

The Test window can be opened from Actions->Test... menu item or by pressing the F9 keyboard shortcut. It lists all the available information about the backup versions of the current backup job.

When you open the window all the backup versions that can be tested are selected. You can select/deselect multiple backup versions you want to be tested using batch selection on that list. To define the selection, keep the Shift key pressed and use the up and down arrow keys from your keyboard or the mouse. If you want to select multiple individual items, press and hold the Ctrl key and select using the mouse the items you want tested.

Some backup versions created with older releases of Backup4all cannot be tested. These versions are disabled and cannot be included in test selection.

There are several columns in the Test window that provide information for each backup version:

· Type - Type of the backup. Each of the backup types is represented by a descriptive icon: Mirror
· Backup No. - Number of the backup
· Backup date - Date and time when the version was added to the backup
· File No. - Number of files included in that backup
· Folder No. - Number of folders included in that backup
· Comp. Size - The compressed size of the backup
· Uncomp. Size - The uncompressed size of the backup
· Label - Label of the backup increment.

The backup versions in the list can be sorted by clicking on the column headers. The right-click menu on the column header provides a handy way to show/hide unnecessary columns (except the Type column which is grayed out).

Using the Priority slider you can set the test execution speed compared to the rest of the running processes on your computer. Default is Normal priority, but there are other 4 priority levels: Lowest priority, Low priority, High priority and Highest priority. On Lowest priority the test process will consume the minimum amount of computer resources but will take the longer to complete, while Highest priority will consume the highest amount of computer resources but will take the least to complete.

To test the selected backup versions press the Test button, or press Cancel (or the Escape key) to close the window.

After finishing the test, a pop-up message is displayed with the test results:

· Testing <backup name> found no errors - means that there are no corrupted/missing files in the backup
· Testing <backup name> found error(s). Do you want to see the log file? - means that some files are corrupted or missing from the backup; you should press Yes to see the test log file (also available from the View->Job Logs->Last Test Log menu too)

Backup4all has also the option to test the files automatically after backup. This option is checked by default and it is recommended to leave it this way. However, if you want to modify it, you can find the Test after backup option in the Backup Properties- >Advanced window for the selected backup job.

Related Topics:

Commands

Advanced - Backup

Logs and history


Plugins

The Manage Plugins window allows you to add, remove, enable or disable the Backup4ll plugins.

After installing a plugin, you can use it on the What do you want to backup page when creating a new backup job using the New Backup Wizard or on the Sources page using Advanced mode (Backup Properties).

Add

Press this button to install a new backup plugin.

You will be asked to select the plugin file location from your computer. Multiple plugin files can be selected and open.

Delete

Use this button to remove one or more selected plugins from the list. This plugins will be removed from the New Backup Wizard too.

Please note that if you delete a plugin from Backup4all, all backup jobs using that plugin will be removed when you restart Backup4all.

Properties

Pressing this button will open a window with details about the selected plugin and its creator as: Plugin Name, File Name, Plugin GUID, Company, Company Site and Company E-mail.

Get Plugins

Pressing this button will open our internet website on the Free Backup Plugins page.

Here you can download plugins to be used when creating backup jobs.

Close

Press this button to close the Manage Plugins window.

Related Topics:

New Backup Wizard - What to backup?

Backup Properties - Sources


Logging

Backup4all provides a log engine that helps you track the backup, restore and test operations. It is composed of four subsystems: backup logging, restore logging, test logging and cleanup logging. Log files are accessible from the View->Job Logs menu item. You can also see an "overview" of all three subsystems by selecting the View Application Log menu item.

For each operation the system logs:

· start time and date
· the operation
· errors or warnings
· end time and date

The Tools->Options->Logs and history configuration window provides additional options that you can select to further customize the logging process.

Content

Log detailed information

If this option is enabled, the logs will contain information about every file used in the backup, restore or test process.

Include summary in log

If this option is checked, the logs will include all the text available in the Summary view.

Log folder

After a long period the application will generate a large number of log files. Since all the log files are stored in the same folder, the system has an option to limit the size of the log folder. Just select Restricted to and choose a Size and Unit for the log folder (default is 10MB). If the log file of the running backup job is larger than the limit, it will still be stored in the log folder. When the same operation will run again, the previous log file will be deleted.

Backup Logging

Logged operations:

· Checking sources/destination
· Creating file list
· Archiving files
· Saving catalog

Other information added to the logs: the total number of files added to backup, the total size of files added to backup and the number of files excluded.

Restore Logging

Logged operation (except mirror backup): Processing zip file. The total number of restore files is logged and the start/end time of restoring.

Test Logging

Logged operations: Testing zip file or Testing files (for mirror backup without zip). The result of the operation is also logged.

Related Topics:

Options - Logs and history


Import

The Import window can be opened from the File menu. Depending on your previous Backup4all version, you can select one of these two options: Import from version 2..., Import from version 3... or Import from version 4...

The Import from version 3 option also appear when you run for the first time a newly installed Backup4all major version on a computer where a previous major version of Backup4all is installed. If you select this option and no previous major versions were installed, you'll be informed that there are no backup jobs to import.

If you had previous major versions installed, you'll have the option to import the backup jobs and backup groups from a previous major version of Backup4all.

Select ini files to import

When the Import window is opened, a list with all the .ini files found from a previous version is displayed and you can check the ones that you want to import in the backup list of the new version. For your convenience, you can use the Uncheck all or Check all options if you have lots of .ini files and want to deselect/select them all at once. Note that the backup jobs will be actually moved into the latest version, thus you will not be able to use them in the previous version.

There are three main columns in the display list:

· Import - if the checkbox is marked, the backup job will be imported
· Name - it displays the name of the backup job as it was defined in the previous version
· Scheduled - it shows if the respective backup job was a scheduled backup or not
· Group - shows the group name the backup job belonged to

Scheduler

If the backup jobs were scheduled to run in the previous version, when importing the scheduled tasks, you will be asked to type the password for your current Windows login account in order to have them correctly set up.

Tips:

· if you want to open an .ini file of a current version instead, you can use the File->Open backup (Ctrl+O) option - this will recreate the backup job opened (if is not in the backup list already)

Related Topics:

Commands


System Tray

When is Backup4all shown in the system tray?

Backup4all is minimized to the system tray when the Minimize to tray option from the Tools->Options->Startup window is checked and the user minimizes the main window. When the Close to tray option is checked Backup4all will not exit when you press the Close button, but instead it will always be displayed in the system tray .

The right-click menu of the tray icon allows to:

· Show/Hide - shows/hides Backup4all's main window
· Backup Group - lists all the existing groups, to back them up without opening the main window
· Exit - closes Backup4all completely and removes it from the system tray.

Tray Icon Hints:

1) When backups are executed, restored or tested, the tray icon is animated and the name of the backup jobs are shown in the hint along with the current operation.

2) If the application is idle the Backup4all 4 text is displayed in the hint.

3) When a backup is finished with errors, these are shown in the tray icon too. The information will disappear when the main window of the application is opened. If you do not wish to see the information in case of errors, just uncheck Show errors in tray from the Tools->Options->Startup window.

Related Topics:

Options - Startup


Keyboard Shortcuts

Keyboard shortcuts configured in Backup4all:

New backup wizard - CTRL + N

Open backup - CTRL + O

Backup job properties - CTRL + P

Brief - F4

· Explore - F2
· Statistics - F3
· Summary - CTRL + F4

Refresh - F5

Execute backup - F6

Restore - F7

Pause - CTRL + F8

Stop - CTRL + S

Cancel - F8

Test - F9

Show New Files - CTRL + 1

Show Unchanged Files - CTRL + 2

Show Modified Files - CTRL + 3

Show Excluded Files - CTRL + 4

Show Deleted Files - CTRL + 5

Expand All - CTRL + 6

Collapse All - CTRL + 7

55 focus menu Focus menu - F10

Related Topics:

Commands


Overview

Using the New Backup Wizard you can easily create a new backup job. The steps in wizard must be followed in the given order.

If you want to create a new backup job using advanced options, you can do that by pressing the Advanced mode button that will open the Backup Properties window. All settings from the New Backup Wizard are included in the Backup Properties.

The New Backup Wizard will be used to create new backup jobs, if the Use New Backup Wizard to create backup jobs option (from the Other section in Tools->Options->Preferences) is checked. If that option is not checked, the Backup Properties will be used to create new backup jobs.

Related Topics:

New Backup Wizard - Name and destination

New Backup Wizard - What do you want to backup?

New Backup Wizard - How do you want to backup?

New Backup Wizard - When do you want to backup?


Name and destination

In the first step of the New Backup Wizard you can configure the backup name and the backup destination.

Name your backup

Backup Name

Enter the name of the backup job. This name will appear in the backup list, right under the chosen picture. This field is mandatory.

The name of the backup job is closely related to the name of the subdirectory in destination that contains zipped and mirrored files and to the name of the catalog. That is why when you rename the backup job, the name of the catalog and the name of the subdirectory from destination are also changed if possible.

If the destination is on HDD (local), LAN (network) the name of the subdirectory and the name of the catalog are always changed, except for the case when you do not have enough permission to rename or some files are locked.

Where do you want to save your backup

User can select one of the available destinations:

· Local: hard disk drive, floppy drive, zip drive, USB drive, mapped network drive
· Network: UNC network drive

Related Topics:

New Backup Wizard - Overview

New Backup Wizard - What do you want to backup?

New Backup Wizard - How do you want to backup?

New Backup Wizard - When do you want to backup?


Local

You can use a valid local destination for your backup: hard disk drives, floppy disk drives, zip drives, USB drives or other removable media.

The Local option is selected by default when you define a new backup. From the Drive list, you can select either one of your hard disk partitions, mapped network drives, the floppy disk, or other removable drive. By default, the first partition is selected (usually C:).

In the Folder where to perform the backup field by default it is the path to the My Backup4all 4 folder (\Users\<user name>\Documents\MyBackup4all 4). You can click on the Select another destination icon browse and browse to a destination folder of your choice where the backup will be stored.

If the destination drive is missing (when the network is disconnected for instance or floppy, is missing), an error message is shown containing the list of missing drives. The user can choose Cancel to stop the backup process or Retry to check the drive again. If the scheduler starts the backup then the system will retry as many times as set in the Tools->Options->Backup window and if still not possible to access the drive it will abort the backup process.

Related Topics:

New Backup Wizard - Name and destination


Network

You can use a network destination for your backup by selecting the Network option in the Where do you want to save your backup? section.

Click the Browse button and go through the My Network Places to select a destination where the backup will be stored.

You can also enter network paths in the Folder field. Only a full path is allowed. For example, suppose \\Backup_Server\PC1 is mapped on your workstation as drive X, then the following paths are both valid and indicate the same folder: \\Backup_Server\PC1\Backup or X:\Backup.

Make sure you can write in the destination and in the selected folder (you have the proper rights and the media is not write-protected) before finishing the backup configuration. You can enter an User name and Password to access the network destination if it requires authentication. If you are logged in as an user that has rights to write to the specified network destination, you can check the First use Windows auth. option. What this option does is that it checks on the network destination if the logged in user has rights to access it.

After entering the path and eventually the username and password, use the Test button to see if the destination is reachable and that you have sufficient rights to access it. The network connection was tested successfully pop-up message means that the network destination was accessible. In case of insufficient rights the following error message will appear: Network connection error. Access is denied. In this case you have to either make sure that the entered username and password values are correct, or contact the network administrator to obtain the necessary rights.

If the destination is missing (when the network is disconnected), an error message is shown.

The user can choose Cancel to stop the backup process or Retry to check the network connection again. If the scheduler starts the backup then the system will retry as many times as set in the Tools->Options->Backup window and if still is not possible to access the network destination, it will abort the backup process.

Related Topics:

New Backup Wizard - Name and destination


What do you want to backup?

In the second step of the New Backup Wizard, you must select the files and folders to be used by Backup4all for the backup.

You can:

· add a whole folder by pressing the Add folder button
· add one or several files by pressing the Add files button
· remove any file or folder by selecting it and pressing the Remove button
· exclude subdirectories and files from backup by un-checking the thickbox chk-icon

You must add at least one file or directory in order to continue with the next step of the wizard.

If the source drive is missing (when the network is disconnected for instance or floppy, CD/DVD is missing), a warning message is shown containing the list of missing drives. The user can choose Abort to stop the backup process, Retry to check the drive again, Ignore to mark the source folder as deleted and continue with the next sources. If the scheduler starts the backup then the system will retry as many times as set in the Tools->Options->Backup window and if still not possible to access the drive it will abort the backup process.

Tips:

· try to keep the number of checked files and folders greater than the number of unchecked files and folders - backup process will run faster this way.
· you can add files/folders to the Sources window by dragging and dropping them from Windows Explorer.

Related Topics:

New Backup Wizard - Overview

New Backup Wizard - Name and destination

New Backup Wizard - How do you want to backup?

New Backup Wizard - When do you want to backup?


How do you want to backup?

In the third step of the New Backup Wizard you can choose the backup type.

How do you want to backup?

From the drop-down list, you can choose one of the available options:

· Make mirror

Make mirror

A mirror backup is identical to a full backup, with the exception that the files are not compressed in zip files and they cannot be protected with a password. A mirror backup is most frequently used to create an exact copy of the backup data. It has the benefit that the backup files can also be readily accessed using tools like Windows Explorer.

If you choose the Make mirror option, you can also check the Compress option to zip each file individually, preserving the folder structure. This allows you to use the zip compression and encryption features.

Related Topics:

New Backup Wizard - Overview

New Backup Wizard - Name and destination

New Backup Wizard - What do you want to backup?

New Backup Wizard - When do you want to backup?


When do you want to backup?

On the last page of the New Backup Wizard, you can choose When to run the backup.

How often?

From the drop-down list, you can select one of the available option:

· Manually - the backup job will be started manually by the user
· Daily - the backup job will be started daily at its scheduled time
· Weekly - the backup job will be started weekly at its scheduled time
· Monthly - the backup job will be started monthly at its scheduled time
· Shutdown - the backup job will be started at the computer shutdown

By default, the selected option is Manually.

What day?

This field is activated only when the Weekly or Monthly option is selected in the How often list.

If the Weekly option is selected, you can choose the day of the week when to run the backup.

If the Monthly option is selected, you can choose the day number of the month when to run the backup.

What hour?

From this field, you can select the hour for the backup job to start.

User

In this field, by default, the current logged in user's login name will be displayed.

Password

If your user account has a password make sure that you enter it by pressing the Set password button. We do not save your password but it is needed in order to set up the scheduled task in the Windows Task Scheduler. If your user account does not have a password you must select the Allow blank passwords when scheduling option from Tools->Options->Preferences. Also, make sure that you enter the correct password - if the password is wrong the scheduled task will not run.

Related Topics:

New Backup Wizard - Overview

New Backup Wizard - Name and destination

New Backup Wizard - What do you want to backup?

New Backup Wizard - How do you want to backup?


Overview

The Backup Properties window can be used to create new backup jobs in the advanced mode, or to edit an existing backup job.

By default, the New Backup Wizard will be used to create new backup jobs. To use the Backup Properties when creating new jobs, uncheck the Use New Backup Wizard to create backup jobs option from the Other section in Tools->Options->Preferences.

Related Topics:

Backup Properties- General

Backup Properties- Destination

Backup Properties- Sources

Backup Properties- Filters

Backup Properties- Advanced

Backup Properties- Scheduler


General

The General page defines the appearance of the backup job in the backup list.

Name

Enter the name of the backup job. This name will appear in the backup list, right under the chosen picture. This field is mandatory.

The name of the backup job is closely related to the name of the subdirectory in destination that contains zipped and mirrored files and to the name of the catalog. That is why when you rename the backup job, the name of the catalog and the name of the subdirectory from destination are also changed if possible.

If the destination is on HDD (local), LAN (network) the name of the subdirectory and the name of the catalog are always changed, except for the case when you do not have enough permission to rename or some files are locked.

If the destination is on a removable disk, floppy disk and you have run the backup job, the catalog and the subdirectory in destination are already created and they will not be changed. If the backup job has not been run yet, then the catalog and the subdirectory will be created with a name similar to the backup job at first backup run.

Group

Select the group where you want the backup job to appear. If no group is available or you want to define a new group, just type the name of the group and it will be created. This field is mandatory.

Description

You can write in here a text describing the backup job defined

Icon

Press the Change Icon button to manage the backup job icons. This icon will be shown in the Backup List. You can add a new icon by clicking on the Add button. Only Windows icons (files with ".ico" extension) or bitmaps (files with ".bmp" extension) can be added to the list. To remove an icon from the list, you have to select it and then click on the Delete button. By default, each new backup job icon will be the first icon from the Change Icon list.

Related Topics:

New Backup Wizard and Backup Properties- Sources

New Backup Wizard and Backup Properties- Destination

New Backup Wizard and Backup Properties- Filters

New Backup Wizard and Backup Properties- Advanced

New Backup Wizard and Backup Properties- Scheduler


Destination

The Destination page defines where the backup archive will be stored.

Destination

Valid destination types:

· Local hard drive
· External hard drive

· Removable
· Network

Selecting a backup destination type on the Destination page, will enable the options on the corresponding type page.

You can also change the backup destination from any destination type page by checking the Change destination to... option.

If you lost your backup job from the backup list and you want to recreate it, you can do so by using the File->Open backup option and selecting an existing ".bkc" or ".ini" file. The same action takes place if you double click on the ".bkc" file. A new backup job configuration will be added to the backup list and the configuration of the new backup job is copied from the ".bkc" file.

Related Topics:

Destination - Local hard drive

Destination - External hard drive

Destination - Removable

Destination - Network


Local hard drive

You can use a valid local hard disk destination for your backup. The Local hard drive option is selected by default when you define a new backup.


External hard drive

You can select an external hard drive as destination for backup.

Destination

If the current backup destination is not an external hard drive, you can change it by checking the Change destination to local hard drive option.

From the External hard drive list, you can select either an USB or a Firewire external hard drive.

You can type a folder name in the Folder field or you can click the Browse button to choose another folder where the backup will be stored.

Lock the destination to this external hard drive

When disconnecting and reconnecting an external drive, your computer may not assign it the same drive letter. If the drive letter was changed, the backup might fail because Backup4all is trying to backup to the same old drive letter which probably does not exist.

Use this option if you want Backup4all to detect the external drive after its own serial number and automatically change the backup destination according with the new drive letter.

You should not check this option if you use a rotation backup scheme with two or more external hard drives.

By default, this option is not checked.

Enable disk spanning

The option is effective when there is not enough space to copy all files in the external drive destination. If checked, the application will copy files to the destination until a file will not fit. Then it will ask you for another drive to continue with the rest of the files. If the option is not set, Backup4all will stop when the destination drive is full.

By default, this option is not checked.

Related Topics:

Backup Properties- Destination

Destination - Local hard drive

Destination - Removable

Destination - Network


Removable

You can save your backup to a removable drive (USB flash drive, floppy etc) as destination for backup.

Destination

If the current backup destination is not a removable drive, you can change it by checking the Change destination to removable disk option.

You can type a folder name in the Folder field or you can click the Browse button to choose another folder where the backup will be stored.

Lock the destination to this external hard drive

When disconnecting and reconnecting an external drive, your computer may not assign it the same drive letter. If the drive letter was changed, the backup might fail because Backup4all is trying to backup to the same old drive letter which probably does not exist.

Use this option if you want Backup4all to detect the external drive after its own serial number and automatically change the backup destination according with the new drive letter.

You should not check this option if you use a rotation backup scheme with two or more external hard drives.

By default, this option is not checked.

Erase disk before writing

When this option is checked, the removable disk is erased before burning the backup files. By default this option is not marked.

Volume label

Use custom prefix

You can type your own volume label prefix to customize the backups.

Related Topics:

Backup Properties- Destination

Destination - Local hard drive

Destination - External hard drive

Destination - Network


Network

You can choose to save your backup to a shared network drive (another computer or NAS).

Destination

You can use a network destination for your backup by selecting the Network option from the Destination window or by checking the Change destination to network option from the network page.

Click the Browse button to open My Network Places and select a destination where the backup will be stored.

You can also enter network paths in the Network path (UNC) field. Only a full path is allowed. For example, suppose \\Backup_Server\PC1 is mapped on your workstation as drive X, then the following paths are both valid and indicate the same folder: \\Backup_Server\PC1\Backup or X:\Backup.

Authentication

Make sure you can write in the destination and in the selected folder (you have the proper rights and the media is not write-protected) before finishing the backup configuration. You can enter an User name and Password to access the network destination if it requires authentication. If you are logged in as an user that has rights to write to the specified network destination, you can check the Try Windows user and password first option. What this option does is that it checks on the network destination if the logged in user has rights to access it.

You can set Backup4all to disconnect and reconnect the network drive if already connected by checking the Reconnect if already connected option. By default, this option is not checked.

After entering the path and eventually the username/password, use the Test network connection button to see if the destination is reachable and that you have sufficient rights to access it. The network connection was tested successfully pop-up message means that the network destination was accessible. In case of insufficient rights the following error message will appear: Network connection error. Access is denied. In this case you have to either make sure that the entered username/password values are correct, or contact the network administrator to obtain the necessary rights.

If the destination is missing (when the network is disconnected), an error message is shown.

The user can choose Cancel to stop the backup process or Retry to check the network connection again. If the scheduler starts the backup then the system will retry as many times as set in the Tools->Options->Backup window and if still is not possible to access the network destination, it will abort the backup process.

Related Topics:

Backup Properties- Destination

Destination - Local hard drive

Destination - External hard drive

Destination - Removable


Sources

The Sources page defines what files and folders will be used by Backup4all for the backup.

You can:

· add a whole folder by pressing the Add folder button
· add one or several files by pressing the Add files button
· remove any file or folder by selecting it and pressing the Remove button
· exclude subdirectories and files from backup by un-checking the thickbox chk-icon
· select all files and folders by pressing the Check all button
· unselect all files and folders by pressing the Uncheck all button

At least one source must be added to the backup job.

If the source drive is missing (when the network is disconnected for instance or floppy, CD/DVD is missing), a warning message is shown containing the list of missing drives. The user can choose Abort to stop the backup process, Retry to check the drive again, Ignore to mark the source folder as deleted and continue with the next sources. If the scheduler starts the backup then the system will retry as many times as set in the Tools->Options->Backup window and if still not possible to access the drive it will abort the backup process.

Tips:

· try to keep the number of checked files and folders greater than the number of unchecked files and folders - backup process will run faster this way.
· you can add files/foders to the Sources window by dragging and dropping them from Windows Explorer

Related Topics:

Backup Properties- General

Backup Properties- Destination

Backup Properties- Filters

Backup Properties- Advanced

Backup Properties- Scheduler


Filters

The Filters page defines files and folders filters to be applied to backup sources. Only files and folders that match the filters will be added to backup.

You can use the Add include and Add exclude buttons to add filter rules for the current backup job.

The system selects only files that match the include filter and do not match the exclude filter. This means the exclude filter is more powerful: if a file satisfies both include and exclude filters, it will be excluded.

Include and exclude filters are composed from filter restrictions. Two or more filter restrictions in the include filter means that a file must satisfy at least one restriction to be included in the backup. Two or more filter restrictions in the exclude filter means that a file must satisfy any restriction to be excluded.

You can manage filter restrictions using the buttons:

· Add include - this will open a new Filter Properties window from where you can add a new include restriction to the filters list.
· Add exclude - this will open a new Filter Properties window from where you can add a new exclude restriction to the filters list.
· Edit - will open the selected filter's properties window. You will be able to modify the selected restriction.
· Copy - this will create a copy of the selected filter.
· Delete - will remove the selected filter from the list of include or exclude filters.

Related Topics:

File Filtering - File Filter

Restore Wizard - Filters

Backup Properties- General

Backup Properties- Sources

Backup Properties- Destination

Backup Properties- Advanced

Backup Properties- Scheduler


Customize

On the Customize page you can refine the backup filters. It will show a tree with all selected sources for the backup job.

When a folder is selected, the Add include and Add exclude buttons from the bottom are activated (these are activated only for folders, not for individual files). That means you can replace the main filter with a customized one. The customized filter is valid only for the selected folder and its descendants. Click the Add include or Add exclude button to define the customized file filter. This will open a Filter Properties window. You can define include or exclude filters in this window just as you do in the Filter page.

All files and folders for which a customized filter is applied are shown in red color. You can Edit, Copy or Delete a customized filter by selecting the folder and clicking one of the buttons bellow.

Related Topics:

File Filtering - File Filter


Type

Backup type

User can select one of these backup types:

· Mirror

The backup type can be changed from the Type page in Backup Properties, or from a specific type page, by checking the box to select that type as default backup type.

The mirror backup type creates in destination an exact copy of the source file without zipping them.

Other

If the Clear archive bit option is checked, the application will remove the Archive flag of the files that were added to the backup. By default Backup4all uses the current comparison criteria and the information from catalog file to detect if a file was modified or not since the last backup, which is more accurate than using only the Archive bit (as other backup programs do). However, if you want to backup files based only on the Archive bit attribute, you can change the comparison criteria from the Advanced->Backup window.

Related Topics:

Backup Properties - Mirror


Mirror

A mirror backup is identical to a full backup, with the exception that the files and folders are not compressed in zip files and they cannot be protected with a password. A mirror backup is most frequently used to create an exact copy of the backup source data. The sources folder tree will be recreated in the destination.

This backup type is the fastest, provided that Fast mirror option is checked.

If the Mirror type is not your default backup type, you can check the Select Mirror as the default backup type option.

Create subfolder(s) in destination

Use this option to create a subfolder in the destination. The name of the folder can be customized by pressing the Insert tags button. Following tags are predefined:

· Backup Name (<BACKUP NAME>)
· Backup Number (<BACKUP NUMBER>)
· Backup Type (<BACKUP TYPE>)
· Backup Date (<DATE>)
· Backup Time (<TIME>)
· Backup Year (<YEAR>)
· Backup Month (<MONTH_MMM>)
· Backup Month - numerical (<MONTH_MM>)
· Backup Week (<WEEK>)
· Backup Day (<DAY>)

You can also add your text in tag field. Use the Preview button to see how the name of the subfolder will look like.

Note that the Fast mirror option will be ignored if you choose to create subfolders in the destination with a different name each time.

The option is useful to store "snapshots" of the backup sources at different points in time. For example, if you insert a <DATE> tag in the Create subfolder(s) in destination with following name and schedule Backup4all to do a mirror backup daily, Backup4all will create every day a copy of your backup sources in a subfolder named as the date when the backup was executed. On the other hand, if you insert a <MONTH_MMM> tag and execute the backup daily, the first time your sources will be copied entirely in a subfolder named as the month when it was performed, but in the other remaining days of the month only the new or changed files will be copied in the same subfolder - when the month name will change another subfolder will be created and the procedure repeated.

Options

Fast mirror (copy only new or modified files)

Use this option to make mirror backups even faster. When this option is set, Backup4all uses the information stored in ".bkc" files to copy only new or modified files to the destination. If this option is not set, the system will copy all files each time the backup is executed. By default this option is checked.

Create full paths (including drive letter)

Sometimes there can be sources with the same names. The system will detect this conflict situation and will show a warning message.

To avoid files to be overwritten check the Save full folder info option. This will create the full path of the source in the destination.

For example, suppose we have the backup source "C:\My Documents\My Pictures". Without this option, only the My Pictures folder will be created and its subfolders. With this option set, the destination will contain the C folder, My Documents inside C folder, My Pictures inside My Documents folder and so on. By default this option is unchecked.

Copy files in a subfolder

If checked, the files will be copied in a subfolder of the destination folder (typically you will see a ".bkc" file and a folder with the same name). If the option is not set, the files (and folder structure) will be copied directly into the destination folder. By default this option is checked.

Remove excluded or deleted files from backup

Use this option to remove from the backup the files that were deleted (or excluded) from the backup sources. When you select this option (unchecked by default), you'll get a warning message that the deleted files will be removed from the backup too - press Yes if you want to continue.

Only if the source drive is available

Use this option to avoid removing your files from backup if the sources are not available all the time.

If you don't use this option, when the source files are not reachable, Backup4all will consider them as being deleted or excluded.

The deleted or excluded files will be removed from the backup.

Others

Zip the files

Use this option to zip each file individually. The folder structure will be preserved, only the files will be zipped.

Copy NTFS security permissions

Use this option to copy the files NTFS security permissions

Copy NTFS alternate file streams

Use this option to copy the NTFS alternate file streams

Allow file splitting when spanning

The option is effective only when there is not enough space in the destination to copy all files (removable media is full, USB drive is full, etc.). If checked, the application will copy files to the destination until a file will not fit. Then it will split that file and continue with the rest of it on the next disk. If the option is not set, files are not split. If you are backing up media files (music, videos) you should uncheck this option so that you will not have any melody/movie split. By default this option is checked.

Sort mirror files for optimized spanning

This option is useful when spanning the backup over multiple removable drives. If this is checked, Backup4all will sort the files by size (descending) before copying them on the removable drive. This way it will start with the larger files and put the smaller ones towards the end of the backup (optimizing the space used on the removable drive). By default this option is not checked.

Be aware that you can restore only from the latest version of a mirror backup from the Backup4all interface. You can restore however manually previous versions as they are accessible from any file manager, like Windows Explorer.

Related Topics:

Backup Properties - Type


Compression

On the Compression page, you can configure the compression and encryption settings.

Compression

Level

You can set different compression levels for the backup:

· Zip without compression (Fastest) - files are just copied inside the zip archive, without any compression
· Low compression (Fast) - select this option if the size of the zip archive is not important, but the speed of the backup is
· Normal compression (Medium) - this is usually the best choice because it provides the optimum rate between zip archive size and the backup speed
· Best compression (Slow) - use this compression level to reduce the zip archive size as much as possible (the backup speed is reduced)

Use No compression or Low compression if you backup large files to speed up the backup process. Use High compression when you want to create the smallest archive possible. This option takes more time if the files included in archive are large.

Do not compress files of type

The filter can be applied to increase the compression performance. It defines what types of files to be stored uncompressed in the zip file. These are files that are already compressed (e.g. zip, rar, mp3 or avi) and using the zip compression on them wouldn't result in a smaller sized backup. You can use the already defined file types or you can add others using the Default compression filter list in Tools->Options->Backup. The result will be that the backup will take less time when using compression.

Always use temporary folder to create zip files

If checked, the zip files are created in the temporary folder and then moved to the destination folder. This means that there should be enough free disk space on the drive where the temporary folder is located.

When backing up to removable media (floppy, zip disk, etc.) this option is ignored, the zip files are always created in the temporary folder and then copied to the destination. When backing up to internal hard drives or LAN, you should uncheck this option to speed up the backup execution. By default this option is not checked.

Use alternate zipping mode

If not checked (default zipping mode), each file is compressed in blocks that are immediately added to the final zip file. If checked (alternate zipping mode), each file is compressed in blocks in a temporary file. When the whole file is compressed in the temporary file, it is added to the final zip file.

This option has effect only when backing up to internal hard drives and LAN. In all other cases this option is ignored. When backing up to LAN drives, it is recommended to check this option and uncheck Always use temporary folder to create zip files option. When backing up to internal hard drives, it is recommended to uncheck both options. By default this option is not checked.

Encrypt the zip files

No encryption

The zip files created are not protected by password for unauthorized access.

Standard encryption (Zip2 compatible)

This is the standard Zip 2.0 encryption: an older encryption technique that provides relatively weak security compared to AES encryption. Zip 2.0 encryption format cannot provide protection from individuals with access to specialized password recovery tools. Its advantage over AES encryption is the compatibility with all third party zip applications.

Set password

After you press this button, a windows with the following fields will appear:

· New password

Manually enter the password you want to use for your zip files in this field

· Confirm new password

Re-enter the password in this field to avoid typing errors.

· Old password

This field is enabled only when the backup job already has a password. You can change the password only if you enter the old one in this field. This way only the owner of the backup will be allowed to change the password.

The system makes it possible to set different passwords for the same backup job, so the backup may contain zip files with different passwords.

Tips:

· when choosing a password, it is recommended that you use a combination of letters and numbers and at least 8 characters.
· Backup4all does not store passwords. Make sure that you remember all passwords that have been used for a backup job, or you will not be able to restore your files.

Related Topics:

Backup Properties - Type


Advanced

Options on this page affect the way a particular backup job is executed. Options that are marked with (*) might not be available in your edition - check Feature Matrix for detailed information on differences between editions.

Backup options

Use local catalogs (.bkc)

If this option is checked, Backup4all will keep a local copy of the backup catalog for the current backup job.

Test after backup

If this option is set Backup4all will test the resulting backup for data integrity after every backup process. Only the latest backup number will be tested after the backup execution. If you wish to test other backup numbers you can do so from the Test Backup window.

Ask for backup label before execution

If this option is set a window will be shown and will prompt the user to enter the label description of the backup increment.

If you do not want to give a label to the current backup, leave the edit control empty. Check the Don't label next backups if you do not want to see this window when the current backup job is executed in the future. These labels are visible on the Versions page of the Restore Wizard and in the list of file versions in the Explore view.

Backup open files (XP/Win2003 Server/Vista only)

If this option is checked, Backup4all will use the Volume Shadow Copy service to back up local open files from NTFS partitions in Windows XP, Windows 2003 Server or Windows Vista. This way you can back up files that are in use (for example your .pst file without closing Ms Outlook).

Backup priority

Using the slider you can set the backup execution priority compared to the rest of the running processes on your system. Setting it to Highest priority, for instance, will determine the system to allocate most of its resources for this backup execution.

Run action before backup

Run program/action

Check this option and select one of the predefined actions or choose a different executable file. You can either enter directly the path to the program (has to be between quotes) or click the browse button to browse for the file. Backup4all waits until the action is finished before proceeding with the actual backup process.

The <Clear backup> predefined action deletes the ".bkc" file and all zip files associated with the current backup job. If this action is set, then the backup performed is a full backup, even if the backup type is set to fast mirror. You can customize it with the following parameters (numbers can be changed as necessary):

· <Clear backup d=7> - Clear backup is executed only if 7 days have passed since the first backup increment (the full backup).
· <Clear backup n=10> - Clear backup is executed only if the number of file versions is 10.
· <Clear backup d=7 n=10> - Clear backup is executed if 7 days have passed since the first backup increment (the full backup) or if the number of file versions is 10.
· <Clear backup dw=1,2,7> - Clear backup is executed only in the first, second and seventh day of the week (Monday, Tuesday and Sunday in the given example). Valid values: 1-7 (if a parameter outside of these values is set, it will be ignored).
· <Clear backup dm=23, 30> - Clear backup is executed only in the 23rd and 30th day of the month. Valid values: 1-31 (if a parameter outside of these values is set, it will be ignored, same as using the value 31 for a month having only 30 days).

Run only once

If this option is set, the action will run only once at the next backup execution and the Run program/action option will be reset and disabled afterwards.

Run action after backup

Run program/action

Check this option and select one of the predefined actions or choose a different executable file. You can either enter directly the path to the program (has to be between quotes) or click the browse button to browse for the file. Backup4all does not wait for the action to be finished before proceeding.

Available predefined actions:

· <Stand by> - The computer will enter in the Stand by state after the backup is executed.
· <Hibernate> - Computer enters in Hibernate (if available) after the backup execution.
· <Log off> - Logs off current user.
· <Shut down> - Shuts down the computer after the backup was executed.

Run only once

If this option is set, the action will run only once at the next backup execution and the Run program/action option will be reset and disabled.

Run action on

You can set conditions to run the action after the backup: on Success, on Warnings or on Errors. You can check multiple options or a single one, but at least one option must be checked.

Comparison

Criteria

This section contains special settings for advanced file comparison. You can set what properties of a file will be used when deciding if a file was modified or not.

There is a list of quick sets to choose for predefined comparison criteria:

· None - if this is selected, a warning window is shown asking you to confirm if you want the Date modified criteria disabled or not. If this criterion is disabled, Backup4all will only backup files that have the size changed.
· Custom - this is the default option and has several important file properties and attributes selected as comparison criteria (Size, Date modified, Date created, Archived, Hidden, System, Read-Only).
· Archive attribute only - if this is selected, a warning window is shown asking you to confirm if you want the Date modified criteria disabled or not. If this criteria is disabled, Backup4all will only backup files that have the archive attribute changed.
· FAT attributes - if this is selected, a set of File Allocation Table attributes will be used for comparison
· NTFS attributes - if this is selected, a set of NTFS (New Technology File System) attributes will be used for comparison. Note that these attributes are available only on Windows 2000, Windows XP, Windows Server 2003 and Windows Vista.

Available file properties are:

· Size - file size (it is mandatory)
· Date modified - the latest date and time when the file was modified (a warning message is displayed if you uncheck it)
· Date created - the date and time when the file was created
· CRC32 - the most comprehensive criteria because it calculates a checksum based on file contents and compares it with the checksum from the backup (this slows the process)

Available file attributes are:

· Read-Only - file can be read, but not modified or deleted
· Archived (unavailable when the Clear archive bit option is checked from the Backup Properties->Type window) - file attribute used for backup. When a file is created, the archive bit is turned on. When a backup program copies the file, it turns off the archive attribute.
· Hidden - files marked Hidden do not normally display unless the file manager option to display them is selected
· System - files marked System do not normally display unless the file manager option to display them is selected
· Compressed (only NTFS) - file that is made generally much smaller than the original size of file. Decompression occurs automatically when the file is read. The file is compressed again when it is closed or saved.
· Temporary (only NTFS) - the file is being used for temporary storage.
· Encrypted (only NTFS) - file is encrypted on a NTFS volume to protect it from unauthorized access
· Not indexed (only NTFS) - file not indexed by the content indexing service
· Offline (only NTFS) - content of the file is not immediately available. This attribute indicates that the file data has been physically moved to an offline storage.
· Reparse point (only NTFS) - reparse points are used as building blocks by Microsoft and third-parties to enhance NTFS file system behavior.
· Sparse file (only NTFS) - in a sparse file, large ranges of zeroes may not require disk allocation. Space for nonzero data will be allocated as needed as the file is written.

If you select more than one attribute, Backup4all will consider the file for backup if any of the attributes selected is changed.

Legacy (use archive bit)

If this is selected, Backup4all will determine which files will be backed up by verifying if the archive bit attribute is set. If the archive bit attribute for a file is not set, that file will be ignored (even if its size was modified for instance). Our recommendation is to use the Criteria option since it's more accurate than using the archive bit alone.

Related Topics:

Options - Backup


Scheduler

Scheduler

Scheduler lists all the available information about the scheduled tasks and allows you to Add, Edit, Delete and Schedule new tasks. This only applies to the current backup job.

Right-clicking an existing scheduled task (or using the top buttons) will display the following options:

· Add - opens the Scheduler Properties window and allows you to add a new scheduled task
· Edit - opens the Scheduler Properties window where you can edit selected the scheduled task
· Delete - removes the selected scheduled task
· Schedule - opens the Windows Scheduled Tasks properties window that allows you to set the time and frequency for the selected scheduled task.
· Refresh - refreshes the scheduled tasks list

There are several columns in the Schedulers window that provide information for each scheduled task:

· Scheduler - shows the scheduler type: Windows, Standalone or Shutdown.
· Enabled - if the checkbox is marked then the scheduled task will run, if is unchecked it will not be executed
· Action - shows the type of action associated with the scheduled task (default, test)
· Job Name - shows the task name assigned by the scheduler
· Status - displays the status of the scheduled task
· Next Run Time - calculates the next date and time when the scheduled task will run.
· Last Run Time - shows the last date and time when the scheduled task ran.
· Schedule - shows the type of schedule selected for the task

The scheduled tasks in the list can be sorted by clicking on the column headers. The right-click menu on the column header provides a handy way to show/hide columns (except the Enabled which are grayed out).

Options

Show warning and error messages

If this is checked, when errors/warnings occur for the scheduled task, a window will prompt the user that there were errors/warnings and give an option to open the log file for more details.

Ask for user input when backup cannot continue

If this is checked, the scheduled task will be paused when errors/warning occur and the user will be prompted to take an action (skip/retry/continue).

Backup4all uses by default the Windows Task Scheduler in order to run the scheduled tasks so you need to make sure that the Task Scheduler service is enabled on your computer. Use the Windows Help in order to find out more information about scheduling a task using the Task Scheduler. If you don't want to use the Windows Task Scheduler, you can use Backup4all's standalone scheduler by selecting Use Standalone Scheduler.

Related Topics:

Scheduler - Scheduled Jobs

Backup Properties- General

Backup Properties- Sources

Backup Properties- Destination

Backup Properties- Filters

Backup Properties- Advanced

Options - Backup


Scheduler Properties

The Scheduler Properties window will be displayed when you click on the Add or Edit button in the main Scheduler window or in the Scheduler page of the Backup Properties. This allows you to add or edit a scheduled task for the current backup job.

Execute

Main application

This is the option set by default. If Backup4all is closed when a scheduled task needs to be executed, the main application starts and the task runs. Furthermore, if the Close after run option is checked, Backup4all will be closed after the task is executed.

Command line application

Backup4all has also a command line version. If this option is selected, instead of the main application window a command line window will appear when a scheduled operation runs. After the backup finishes the window is closed. However, if you want this to be executed in the background, you can check the Hide Window option.

Scheduler

Select Scheduler type allows scheduling a task to run:

· With Windows scheduler - If this is selected, the tasks will be scheduled and executed using the internal scheduler from Windows. Over the standalone scheduler (Backup4all's internal scheduler), the Windows Scheduler has the advantage of being able to run the task even if there is no user logged in or if the computer is in hibernation/stand by.

User account

In this field, by default, the current logged in user's login name will be displayed. If your user account has a password make sure that you enter it by pressing the Set password button. We do not save your password but it is needed in order to set up the scheduled task in the Windows Task Scheduler. If your user account does not have a password you must select the Allow blank passwords when scheduling option from Tools->Options->Preferences. Also, make sure that you enter the correct password - if the password is wrong the scheduled task will not run.

Action

You can select an action to perform when the scheduled task for the current backup job runs:

· Backup type
· Default - executes the default backup type defined in the backup job's properties

Clear backup before run

If this is checked, Backup4all will first delete the ".bkc" file and all zip files associated with the current backup job and after that execute the scheduled backup.

Erase disk before backup

This option is available only when the destination of the backup job is on removable media. If this is checked, Backup4all will first erase the disk (if supported) and after that execute the scheduled backup.

· Load - At the scheduled date it opens Backup4all and selects the backup job

· Test - you can schedule a test operation instead of a backup. When Test is selected, the Backup Numbers box is displayed bck-number. You can type in there the backup numbers you want to test. The order you type them in is the order they will be tested in. Use the * character to test all backup numbers, or the # character to test only the last backup.

Related Topics:

Backup Properties - Scheduler

Options - General


Where and how to restore

Using the Restore Wizard you can restore from a backup job. In the first step you can choose the destination, the priority of the execution and customize the restore operation if you wish.

Where do you want to restore?

Use original location

Copies the files from the zip backup into the original location. If a file with the same name already exists, a dialog will be shown prompting for an action before the restore can continue.

Choose another location

Copies files from the zip backup to a different folder. If selected, you can choose a different folder to restore files from the backup.

Do not create drive letter folder

If checked, Backup4all will restore the files in the designated location using the original directory structure. If you select this option and you have files from multiple drives, some files might get overwritten. For example, if you backed up your Documents and Settings folder from your C drive, when you restore it to a different location having the Do not create drive letter folder unchecked, Backup4all will first create a folder named C and in it place the Documents and Settings folder. If you would have checked the Do not create drive letter folder option, the folder named C wouldn't have been created.

How do you want to restore?

Restore the latest version of all files

Backup4all will restore the latest version for all the files in the backup.

Choose files and restore the latest version

Backup4all will restore the latest version for all the files in the backup. You will be able to filter the files using the Preview page.

Choose/filter files and restore the latest version

Backup4all will restore the latest version of the files. Files that are excluded from backup are not restored. Check the status of the files in the Explore view of the main screen.

Preview files at the end of wizard

If checked, a preview page with the files to be restored will be shown at the end of wizard.

Using the slider from the bottom of the Restore Wizard window, you can set the restore execution priority compared to the rest of the running processes on your system. For example, setting the priority to Highest priority, will determine the system to allocate most of its resources for the restore execution.

Related Topics:

Restore Wizard - What do you want to restore?

Restore Wizard - Do you want to filter the files?

Restore Wizard - Preview the files to be restored


What do you want to restore?

This is the second step of the Restore Wizard. It appears only for Choose files and restore from the latest version, Choose/filter files and restore the latest version and Choose/filter files and restore from any version options.

You can uncheck the files you don't want to restore. By default, all files are checked.

Information provided for each file:

· File/Folder - Name of the file/folder
· Size - Size of the the file
· Modified - Date and time when the file version was last modified (at backup execution)
· Attributes - Attributes of the file version at backup execution (read-only, hidden, archive)

The file versions in the list can be sorted by clicking on the column headers. The right-click menu on the column header provides a handy way to show/hide unnecessary columns (except the File/Folder column which is grayed out).

Related Topics:

Restore Wizard - Where and how to restore

Restore Wizard - Do you want to filter the files?

Restore Wizard - Preview the files to be restored


Do you want to filter the files?

This is the third step of the Restore Wizard for Chose/filter files and restore the latest version restore type. For Chose/filter files and restore any version restore type, this is the fourth step. You can filter the files to be restored.

Its behavior is the same as the Filters page of the New Backup Wizard or the Backup Properties window, except that the process is restore and not backup.

The Filters page defines files filters to be applied to files that are going to be restored. Only files and folders that match the filters will be restored.

You can add include or exclude filters. By default all files are included in the list to be restored.

The system selects only files that match the include filter and do not match the exclude filter. This means the exclude filter is more powerful: if a file satisfies both include and exclude filters, it will not be processed by the system.

Include and exclude filters are composed from filter restrictions:

· two or more filter restrictions in the include filter means that a file must satisfy at least one restriction to be restored.
· two or more filter restrictions in the exclude filter means that a file must satisfy any restriction to be excluded.

The exclude filters have the Use as exclude filter box checked.

You can manage filter restrictions using the buttons:

· Add include - this will open a new window from where you can add a new restriction to the list of include filters.
· Add exclude - this will open a new window from where you can add a new restriction to the list of exclude filters.
· Edit - will open the same window as Add, with the selected filter's properties. You will be able to modify the selected restriction.
· Copy - will create a copy of the selected filter.
· Delete - will delete the selected filter from the list.

Related Topics:

File Filtering - File Filter

File Filtering - Overview

Backup Properties - Filters

Restore Wizard - Where and how to restore

Restore Wizard - What do you want to restore?

Restore Wizard - Preview the files to be restored


Preview the files to be restored

This page is the final step of the Restore Wizard. It appears only if the Preview files at the end of wizard option is checked. The purpose of this step is to show a preview of the files that will be restored. If any other customization is required, user must go back and reselect the files to be restored.

For the Choose/filter files and restore any version restore type, files and folders shown in the tree are calculated based on selected backup versions. Files that have not been backed up in the selected backup versions or were filtered will not be shown in the tree. Selecting all backup versions in the Choose/filter files and restore any version restore type is the same as using the Choose/filter files and restore the latest version type.

Related Topics:

Restore Wizard - Where and how to restore

Restore Wizard - What do you want to restore?

Restore Wizard - Do you want to filter the files?


Overview

File filtering in Backup4all provides an intuitive way to define what files and folders to back up or restore.

Select Folders and Files for filtering

The files can be filtered when added to backup. On the "What do you want to backup" page, from the Backup Wizard or Backup Properties->Sources each file and folder is shown in the tree with a checkbox in front of it. If you uncheck it, the file or folder will be excluded from the backup or restore process.

After applying filters, each file and folder is shown in the tree with a checkbox in front of it. If you uncheck it, the file or folder will be excluded from the backup or restore process.

Filter

The role of the filter is to restrict the files from the sources or destination that will participate in the backup or restore process. The filter actually consists of two filters: the include filter and the exclude filter.

Include filter shows which files will be included in the backup or restore process.

Exclude filter shows the files that will be excluded from the backup or restore. If the "Use as exclude filter" box is not checked, it means that filter is an include one.

By default, the filter are defined as include filters and the "Use as exclude filter" box is unchecked. If no filters are defined, then all the files and folders from the sources will be backed up or restored.

Customize

There are special situations when the main filter is not enough to define the files to be backed up or restored. In this case, you can refine the filters adding individual filters for folders. The refined filter applies to all the files and subfolders of that folder. All files and folders for which a refined filter is applied are marked with red.

To remove a refined filter, select the folder, select the filter and press the Delete button.

Related Topics:

File Filter

Backup Properties - Filters


File Filter

The Edit file filter item window is shown every time a file filter restriction is added or modified. It can be opened by pressing the Add button from the Filters page (New Backup Wizard, Backup Properties, Restore Wizard window ) or the Edit button (if filters are already defined).

General

In the Filter name field you can type the name of the created filter. By default, the "New filter configuration" name is assigned. If you use an existing filter, the name of that filter is used.

File name

Enabling this will allow defining filters based on file name pattern.

Press Add and select an existing file extension from the Filter combo (*.doc, *.pdf, *.zip etc.). If the extension does not exist in the combo, just type it in and press OK. You can use the Edit or Delete buttons to modify/remove the file name filters defined.

File name patterns can include:

· * - it matches one or more letters. For example a*.doc matches all files that start with a and have .doc extension
· ? - it matches only one letter. For example a*.do? matches all files that start with a and have any extension composed of three letters, the first two being do

Folder name

Enabling this will allow defining filters based on folder name pattern.

Enter the directory name that you want to filter in the following format: *\directory_name\* (leading *\ and ending \* are required). Backup4all will apply the filter to all the directories that are called directory_name. If you want to apply the filter to directories containing a specific word, you must enter it in the following format *\*keyword*\*. Now Backup4all will apply the filter to all the directories that have the word keyword in their names. You can use the Edit or Delete buttons to modify/remove the folder name filters defined.

File attributes

Enabling this section allows the user to specify file filters depending on the file attributes.

There is a list of quick sets to choose for predefined filter criteria:

· Custom - this is the default option and allows you to check whatever attributes you want
· None - if this is selected all the file attributes check boxes are unchecked
· FAT attributes - if this is selected, a set of File Allocation Table attributes will be used for file filtering.
· NTFS attributes - if this is selected, a set of NTFS (New Technology File System) attributes will be used for filtering. Note that these attributes are available only on Windows 2000, Windows XP, Windows Server 2003 and Windows Vista.

File attributes available for file filters:

· Read-Only - if checked files with read-only attribute will be selected
· Archived - if checked files with archived attribute will be selected
· Hidden - if checked files with hidden attribute will be selected
· System - if checked files with system attribute will be selected
· Compressed (only NTFS) - if checked files with compressed attribute will be selected
· Temporary (only NTFS) - if checked files with temporary attribute will be selected
· Encrypted (only NTFS) - if checked files with encrypted attribute will be selected
· Not indexed (only NTFS) - if checked files with "not indexed" attribute will be selected
· Offline (only NTFS) - if checked files with offline attribute will be selected
· Reparse point (only NTFS) - if checked files with reparse point attribute will be selected
· Sparse file (only NTFS) - if checked files with sparse file attribute will be selected

For example, if you want to include files with read-only and archived attributes set, you have to check both attributes checkboxes in a single restriction. If you want to include files with read-only or archived attributes set, you have to make two separate restrictions: one for read-only and another for archived.

File dates

This section allows the user to build restrictions based on file dates and times. To enable options in this section, check the Filter by date option.

Filters in this section can be applied by selecting one of the available date filters:

· date accessed
· date and time accessed
· date modified
· date and time modified
· date created
· date and time created

You can compare these dates and times with a fixed date or a relative date: today, yesterday, one week ago or one month ago.

Comparison operators available:

· < > date (and time) not equal to fixed or relative date
· < = date (and time) less than or equal to fixed or relative date
· > = date (and time) greater than or equal to fixed or relative date
· < date (and time) less than fixed or relative date
· > date (and time) greater than fixed or relative date
· in interval - date (and time) in a particular time interval between the Start date and End date

File size

This section provides the possibility to build restrictions based on the file size. To enable the options in this section, check the Filter by size option. You can enter a file size in the Size field and select a measurement Unit. The filter will compare the file size on disk with the size you enter using the comparison filters you selected:

· < > file size on disk not equal to the value in the Size field
· < = file size on disk less than or equal to the value in the Size field
· > = file size on disk greater than or equal to the value in the Size field
· < file size on disk less than the value in the Size field
· > file size on disk greater than the value in the Size field

Example

Suppose you want to backup (or restore) all .pdf files accessed in the last month and all .doc files modified in the last week, but you don't want to backup (or restore) system or hidden files.

Here are the steps to define this filter starting from the default filter:

1) Add a new restriction in the include filter: enable File name, add *.pdf file pattern and set date accessed to be greater than or equal to fixed date one month ago; click OK

2) Add a new restriction: add *.doc file pattern and set date and time modified to be greater than or equal to fixed date one week ago; click OK

3) Add a new restriction: enable File attributes and the System checkbox, then click OK

4) Add a new restriction: enable File attributes and the Hidden checkbox, then click OK

5) For the last two restrictions, check the Use as exclude filter boxes.

Related Topics:

Backup Properties - Filters

File Filtering - Overview

Restore Wizard - Filters


Command Line Parameters

Backup4all can be started with various command line parameters to execute different actions on backup jobs or groups, load backup jobs, run the application minimized to tray or run the backup configured for the One Touch Backup button. The parameters can be used to create shortcuts which start actions automatically or load directly a specified backup job. Also if your One Touch Backup button device is not detected by Backup4all (Backup4all is not natively compatible with the device), you could use the command line parameters to create a command that can be associated to the One Touch Backup button of your device.

Syntax

Backup4all [[{/l|/r|/t|/c}] name | /g group] [/s]

Formatting legend

Italic - Information that must be supplied by the user

Bold - Elements that the user must type exactly as shown

/ - Switches are preceded by slash

[] - Elements between square brackets are optional

| - Vertical line separates possible choices

{} - Items between braces are a set of choices from which the user must choose only one

Valid parameter is an ".ini" file (with its full path), a ".bkc" file (with its full path) or the name of the backup job. The ".ini" or ".bkc" file must exist in the specified path, the backup job must be defined in Backup4all or otherwise the backup will not run.

Switches that apply to this parameter (case insensitive, preceded by "/" or "-"):

· /l - load the specified backup job, .ini file or .bkc file
· /r - execute the backup with its defined type (this is the default behavior when the backup name is specified without switches)

· /t - tests the named backup job. Supports also an additional parameter [/TN 1,2,5..20|*|#] - if no TN is set then it will test all backup jobs same as using *; if # is used it will test only the last backup job (# can be used in the same time with other numbers too).
· /c - deletes the .bkc file and all zip files associated with the named backup job

You can also have as parameter an existing backup group. This group must be defined in Backup4all, otherwise the backup will not run. Switch to apply to this parameter (case insensitive, preceded by "/" or "-"):

· /g - execute the jobs in the backup group with their defined types (the switch is mandatory if you want to execute a backup group)

There is an extra switch, "/s". You can use it to start Backup4all minimized to the system tray. This switch can be used in combination with the other parameters and switches to run backup jobs or backup groups minimized to the system tray, or to load a specific backup job, while the application is still in minimized state.

Examples:

To execute all backup jobs from the Samples group, use:

Backup4all /g Samples

To execute a test for all backup numbers of the My Pictures backup job

Backup4all /t "My Pictures" /tn *

To execute a test for first two and last backup number of the My Pictures backup job

Backup4all /t "My Pictures" /tn 1,2,#

Backup job definitions (".ini" files) are saved separately for each Windows user. These files can be found in the "Application Data\Softland\Backup4all 4\IniFiles" folder of your user profile (if it's not changed in the Tools->Options->File locations window). Backup catalogs (".bkc" files) are saved locally and in the backup destination together with the backup files. When a backup job is executed for the first time, a .bkc file is created. There is only one .bkc file for each backup job.

When valid parameters are provided with valid switches Backup4all will execute the commands.

Related Topics:

Command Line Application


Command Line Application

B4aCmd (the command line application of Backup4all) is a small application that runs independently from the main application. It can be used to create batch files. Also if your One Touch Backup button device is not detected by Backup4all) Backup4all is not natively compatible with the device), you could use the command line parameters to create a command that can be associated to the One Touch Backup button of your device. When executed without any parameters it displays the usage information.

Syntax

B4aCmd [{/r|/t|/c}] name | /g group

Formatting legend

Italic - Information that must be supplied by the user

Bold - Elements that the user must type exactly as shown

/ - Switches are preceded by slash

[] - Elements between square brackets are optional

| - Vertical line separates possible choices

{} - Items between braces are a set of choices from which the user must choose only one

Command line backup can have as parameters an ".ini" file (with its full path), a ".bkc" file (with its full path) or the name of the backup job. The ".ini" or ".bkc" file must exist in the specified path, the backup job must be defined in Backup4all or otherwise the backup will not run.

Switches that apply to this parameter (case insensitive, preceded by "/" or "-"):

· /r - execute the backup with its defined type (this is the default behavior when the backup name is specified without switches)

· /t - starts the test operation for the named job. Supports also an additional parameter [/TN 1,2,5..20|*|#] - if no TN is set then it will test all backup jobs same as using *; if # is used it will test only the last backup job (# can be used in the same time with other numbers too).
· /c - deletes the .bkc file and all zip files associated with the named backup job

You can also have as parameter an existing backup group. This group must be defined in Backup4all, otherwise the backup will not run.

Switch to apply to this parameter (case insensitive, preceded by "/" or "-"):

· /g - execute the jobs in the backup group with their defined types (the switch is mandatory if you want to execute a backup group)

Examples

To execute all backup jobs from the Samples group, use:

B4aCmd /g Samples

To execute a test for all backup numbers of the My Pictures backup job

B4aCmd /t "My Pictures" /tn *

To execute a test for first two and last backup number of the My Pictures backup job

B4aCmd /t "My Pictures" /tn 1,2,#

Backup job definitions (".ini" files) are saved separately for each Windows user. These files can be found in the "Application Data\Softland\Backup4all 4\IniFiles" folder of your user profile (if it's not changed in the Tools->Options->File locations window). Backup catalogs (".bkc" files) are saved locally and in the backup destination together with the backup files. When a backup job is executed for the first time, a .bkc file is created. There is only one .bkc file for each backup job.

If the parameters are not valid you will be shown the start screen with an appropriate error message. When valid parameters are provided with valid switches B4aCmd will execute the commands. There is a progress meter showing the progress of the backup execution in percents. When the backup finishes and if you have the Test after backup option enabled, then the test operation starts with its own progress.

The command line application uses the same engine, same configuration files and the same log files as the main application. It always performs an unattended backup. You can use Backup4all's interface to define backup jobs and backup groups which can be used later as parameters for the command line application. You can create a shortcut to a backup job or to a backup group so you won't have to use complicated paths. To create a shortcut, use the Create Shortcut menu item from the File menu.

The same license is valid for the command line application as for the main application. Once the main application is licensed the command line application automatically recognizes the license.

Related Topics:

Command Line Parameters


General

The General page of the Options window (accessible from the Tools, Options menu item) contains general settings of the program.

Use settings for

Current User

If this is selected, the settings used in Backup4all (including backup jobs) are available only for the current logged in user. This way if there are 3 people using the same computer and each logging in through a different account, Backup4all will have different settings and jobs for each account. This can be selected upon installation too, in the Select Default Settings step. These settings are kept in a file whose location is customizable.

All Users

If this is selected, the settings used in Backup4all (including backup jobs) are available for all users on the computer where it's installed. This way if there are 3 people using the same computer and each logging in through a different account, Backup4all will have the same settings and jobs for each account (kind of like a shared profile). This can be selected upon installation too, in the Select Default Settings step. These settings are kept in a file whose location is customizable.

Language

In the Language section you can select the language of the program interface by choosing another one from the drop down list. Only the languages that were installed with the program are displayed. The language of the interface changes only after the Options window is closed by pressing the OK button. The selected language is kept as long as you don't change it or it becomes invalid due to software updates.

The text box below the Language field shows details about the selected language (like translator name and contact information).

Related Topics:

Options - Preferences

Options - Startup

Options - Application folders

Options - Backup

Options - Logs and history

Options - Updates


Preferences

The Preferences page of the Options window (accessible from the Tools, Options menu item) contains settings related to the display of the Toolbar menu.

Toolbar

Show toolbar

User can choose if the toolbar will be displayed or not. By default, this option is checked.

Show toolbar button hint

If checked a hint will be displayed when hovering over a toolbar button with the mouse. By default this option is checked.

Show toolbar button captions

If checked the toolbar buttons will display their caption. Uncheck if you need more space in the main window. You can use the button hints in this case. By default this option is checked.

Align caption to the right

If checked the toolbar buttons will have their caption displayed on the right of the icons, if not they will be shown below the icons. This option is only valid if the Show toolbar button captions option is checked. By default this option is not checked.

Toolbar icon size

You may use this drop down list to select the size of the toolbar buttons. Possible choices are: Small, Medium and Large. By default this option is set to Small.

Views

Default view

The selected view will be assigned as default to the Views button from the application toolbar.

The possible views are: Brief, Explore, Backup, Statistics and Summary.

Show explorer icons

If checked a small icon is shown for each file in the Explore view. The icon is the standard icon associated with the type of the file. You will see the same icons as in Windows Explorer. If the Explore view contains a large number of files, you can uncheck this option to show files faster. By default this option is checked.

Hide empty folders on expand all

If checked the folders that do not show any file in the Explore view will be automatically hidden when pressing the Expand All button. By default this option is not checked.

Show context menu

If checked it will display the context menu when right clicking on a file or folder in the main window's Explore view or the Sources page of the Backup Properties and New Backup Wizard windows. By default this option is checked.

Job list

Background color

Press the (...) button if you want change the background color of the main window's Backup List and the button list of the Backup Properties window.

View list as

Choose the listing mode for the backup jobs and groups in the Backup List. The possible choices are: Tree, Icons and List.

Sort backup jobs alphabetically in a group

If checked the backup jobs are sorted alphabetically in each backup group. By default this option is not checked.

Measurement unit

Auto

If checked the file sizes are shown like in Windows Explorer. By default this option is checked.

Custom

If checked you can see all file sizes in the same unit. You can set the desired unit from the drop down list. Possible choices are: Bytes, KB (kilobytes), MB (megabytes) or GB (gigabytes). Be advised that if you select GB as a unit, for files under 10MB the size will be shown as 0GB. By default this option is not checked.

Other

NTFS daylight saving correction

The Windows NT File System (NTFS) reports wrong file times after the clock changes according to daylight saving time rules. As a consequence, the program sees these files as changed and backs them up. When you check this option these files will not be reported as modified. By default this option is checked.

Show Task Scheduler error message

If checked Backup4all will show an error message when a scheduled backup has errors. This requires user intervention for the backup to continue. By default this option is checked.

Allow blank passwords when scheduling

If checked this option will enable usage of blank passwords in your Windows system and in Windows Task Scheduler.

When checking this option you may receive a message from you antivirus, letting you know there is a suspicious activity in Backup4all.exe that might pose a security risk. You don't have to worry, you can press OK because Backup4all just wants to modify a registry entry to allow blank passwords.

Blank passwords are disabled in Windows by default as a security measure. Instead of enabling this option we recommend to set a password for each Windows user account. By default this option is not checked.

If you uncheck this option at a later time, you will be informed that for existing scheduled backups you'll need to provide an username/password in order to be able to run them.

Warn when insecure passwords are used

If checked Backup4all will display a warning window when you enter passwords for zip encryption that contain less than 8 characters.

Show hidden files in open dialogs

If checked files marked as hidden will be displayed in Open dialogs. This is very useful if you want to add hidden files to your backup sources. By default this option is checked.

Use New Backup Wizard to create backup jobs

If checked, when pressing the File->New Backup button, the New Backup Wizard will be open.

If unchecked, the Backup Properties will be used to create the new job.

Related Topics:

Options - General

Options - Startup

Options - Application folders

Options - Backup

Options - Logs and history

Options - Updates


Startup

The Startup page of the Options window (accessible from the Tools, Options menu item) contains startup related settings of the program.

Startup and tray

Start at Windows startup

If checked the program is started when Windows starts using the window state set in the Visualization mode group. By default this option is not checked.

Show "Getting Started"

If checked, the "Getting Started" window is displayed when you start Backup4all.

Show tray icon

If checked the program icon is displayed in the Taskbar Notification Area.

Minimize to tray - Check this option if you want to show Backup4all in the taskbar tray when the application is minimized. If unchecked, the application is minimized normally to the Windows taskbar. By default this option is not checked

Close to tray - Check this option if you want to show Backup4all in the taskbar tray even when you close it from the File->Exit menu or the title bar close button. If unchecked, Backup4all will terminate when you exit the application. By default this option is not checked

Show errors in tray - The error icon appears when the application is minimized to tray and a backup had errors. The error icon will blink over the default Backup4all tray icon. Uncheck this option if you do not want to see the error icon in the tray. By default this option is checked.

Visualization mode

Manual Run - You can select the way Backup4all's main window will be displayed after a normal startup. The options are: Last window state, Normal and Maximized.

Windows Startup - You can select the way Backup4all's main window will be displayed after Windows starts. The options are: Last window state, Minimized, Normal, Maximized and Tray (if the Show tray icon option is checked). This setting is available only if Start at Windows startup is checked.

Scheduled Startup - You can select the way Backup4all's main window will be displayed when a scheduled backup starts it. The options are: Last window state, Minimized, Normal, Maximized and Tray (if the Show tray icon option is checked).

Related Topics:

Options - General

Options - Preferences

Options - Application folders

Options - Backup

Options - Logs and history

Options - Updates


Application folders

The Application folders page of the Options window (accessible from the Tools, Options menu item) contains general settings of the program.

Override settings folder

This is the folder where the program's settings are kept. You can use the Browse button browse to select an existing folder. By default this option is set to the "Application Data\Softland\Backup4all 4\" folder of your Window login account profile.

Override initialization folder

This is the folder where the initialization files are saved. You can use the Browse button browse to select an existing folder. By default this option is set to the "Application Data\Softland\Backup4all 4\IniFiles" folder of your Window login account profile.

Override local catalog folder

This is the folder where the cached catalog files ("*.bkc") are saved. You can use the Browse button browse to select an existing folder. By default this option is set to the "Application Data\Softland\Backup4all 4\BkcFiles" folder of your Window login account profile.

Override log folder

This is the folder where the log files are saved. You can use the Browse button to select an existing folder. You can change the folder, but the existing log files will not be copied to the new location (you can do this manually, if you wish). You can use the Browse button browse to select an existing folder. By default this option is set to the "Application Data\Softland\Backup4all 4\Logs" folder of your Window login account profile.

Override plugins folder

This is the folder where the plugin files are saved. You can use the Browse button browse to select an existing folder. By default this option is set to the "Application Data\Softland\Backup4all 4\Plugins" folder of your Window login account profile.

Override default destination folder

This is the folder used as destination for the newly created backup jobs. The existing backup job destinations will not be affected if you change this option (you have to manually change the destination for them). You can use the Browse button browse to select an existing folder. By default this option is set to the "My Documents\MyBackup4all 4\" folder of your Window login account profile.

Override temporary folder

This folder is used by the compression engine to handle compressed files (.zip). Only a full path is allowed. The recommendation is to set the temporary directory on the hard disk partition with the most free space available. You can use the Browse button browse to select an existing folder. By default the option is set to the operating system's temporary folder.

Related Topics:

Options - General

Options - Preferences

Options - Startup

Options - Backup

Options - Logs and history

Options - Updates


Backup

The Backup page of the Options window (accessible from the Tools, Options menu item) contains settings related to the backup operations.

Confirmations

Warn before completely erasing a disk - Check this option if you want to be warned each time Backup4all wants to completely erase a disk. By default this option is checked.

Show warnings dialog at the end of the backup - Check this option if you want to be notified if any warnings or errors appeared while performing the backup. You can always check for warnings and errors in the log file. The warning or error icon is shown over the backup job no matter if this option is checked or not. By default this option is checked.

Show success messages - Check this option if you want Backup4all to pop-up a success message when the backup or restore operation was executed with no errors or warnings. By default this option is not checked.

Ask for a new disk before backup - Check this option if you want to be asked to enter a new disk before backup execution starts. This way you can have different backup executions on different disks. By default this option is not checked.

Show disk label message after writing a disk - This option applies only when you back up to removable media and the backups are spanned to multiple disks. If this option is set, you will be asked to mark the disk with a label after each disk is completely written. The system suggests you the disk labels and will refer to each disk using its label (while restoring). By default this option is checked.

Show file warnings - If checked file warnings like access denied, locked files etc. are displayed to the user during backup execution. These warnings are also written to the log file. Scheduled backups do not show these warnings even when this option is set. By default this option is checked.

Warn before canceling the backup - If checked a confirmation message will be displayed when a backup is canceled before being completely executed. By default this option is checked.

Default compression filter

This default filter is applied to new backup jobs by default, to increase the compression performance. It defines what types of files to be stored uncompressed in the zip file. These are files that are already compressed (e.g. zip, rar, mp3 or avi) and using the zip compression on them wouldn't result in a smaller sized backup. This can also be modified individually from each backup job's Properties->Types->Advanced window in the Filters box.

When destination not ready

The options from this group affect scheduled backups. The first number (Retry option) indicates how many times the application tries to access the destination location if it is not available. By default this option is set to 3 attempts. The second number (Wait option) indicates how many seconds to wait between two consecutive attempts to access the destination location. By default this option is set to 5 seconds.

Memory usage

This option allows you to change the memory usage level. You can move the memory indicator to a lower or a higher level.

Related Topics:

Options - General

Options - Preferences

Options - Startup

Options - Application folders

Options - Logs and history

Options - Updates


Logs and history

On the Logs and history page of the Options window (accessible from the Tools, Options menu item) you can change log and history options.

Content

Log detailed information

If checked the program will log detailed information about all files handled by the backup, restore or test process. By default this option is not checked.

Include summary in log

If checked the logs will contain all the text available in the main window's Summary view. By default this option is not checked.

Log folder

In this group you can set the size limits for the folder where the logs are stored. The path to the logs is set on the File Locations page of the Options window.

Unlimited size

If checked the log folder size is not limited, and its size will increase as needed. After a long period the program will generate a large number of log files, so you might want to clean up the log folder manually. By default this option is not checked.

Restricted to

If checked the log folder size is limited to the value set in the Size field below. If the log file of the running backup job is larger than the limit, it will still be stored in the log folder. When the same operation will run again, the previous log file will be deleted. By default this option is checked.

The log folder size will be less or equal then the selected value. By default this option is set to 20 MB.

You can set the desired unit from the drop down list. Possible choices are: Bytes, KB (kilobytes), MB (megabytes) or GB (gigabytes). By default this option is set to MB.

Log Viewer

User can choose which program to be used when opening the log files with Backup4all. The available options are: <Default text editor>, <Notepad> or <Wordpad>. User can also browse the computer to choose another program.

History

Delete records older than

If checked the history records older than the selected period will be deleted. The available time units are: Days, Weeks, Months and Years. By default, this period is set to 3 Months.

Delete corresponding log files too

This option can be used only if the Delete records older than option is checked. This option is equivalent with: delete log files older than the period selected above.

Related Topics:

Options - General

Options - Preferences

Options - Startup

Options - Application folders

Options - Backup

Options - Updates


Updates

 Top Previous

On the Updates page of the Options window (accessible from the Tools, Options menu item) you can configure Backup4all when to check for updates.

Check for updates

Check mode

User can choose one of these modes:

· Manual - user will manually check for new updates. This option is selected by default.
· Reminder - the program will remind you with the selected frequency to check for new updates
· Automatically - the program will automatically check for new updates with the selected frequency.

Frequency

User can set the frequency for Backup4all to remind or to automatically check for new updates.

Check at application startup

If checked, the program will check for new updates at application startup.

Related Topics:

Options - General

Options - Preferences

Options - Startup

Options - Application folder

Options - Backup

Options - Logs and history


.topic 2804
Brief view
.topic 2805
View list as: Tree, Icons or List
.topic 2806
Backup4all security password
.topic 2807
Create predefined filters
.topic 2808
Clean backup
.topic 2809
Restore all files as of specific date
.topic 2509
Plugins
.topic 2528
The Manage Plugins window allows you to add, remove, enable or disable the Backup4ll plugins.
.topic 2527
After installing a plugin, you can use it on the What do you want to backup page when creating a new backup job using the New Backup Wizard or on the Sources page using Advanced mode (Backup Properties).
.topic 2526

.topic 2525
Add
.topic 2524
Press this button to install a new backup plugin.
.topic 2523
You will be asked to select the plugin file location from your computer. Multiple plugin files can be selected and open.
.topic 2522
Delete
.topic 2521
Use this button to remove one or more selected plugins from the list. This plugins will be removed from the New Backup Wizard too.
.topic 2520
Please note that if you delete a plugin from Backup4all, all backup jobs using that plugin will be removed when you restart Backup4all.
.topic 2519
Properties
.topic 2518
Pressing this button will open a window with details about the selected plugin and its creator as: Plugin Name, File Name, Plugin GUID, Company, Company Site and Company E-mail.
.topic 2517
Get Plugins
.topic 2516
Pressing this button will open our internet website on the Free Backup Plugins page.
.topic 2515
Here you can download plugins to be used when creating backup jobs.
.topic 2514
Close
.topic 2513
Press this button to close the Manage Plugins window.
.topic 2512
Related Topics:
.topic 2511
New Backup Wizard - What to backup?
.topic 2529
Backup Properties - Sources
.topic 2530
History
.topic 2531
The History window can be open from View->History.
.topic 2827

.topic 2534
In History window you can see all logs for the backup, restore, test and clean actions.
.topic 2533
The logs can be filtered by job/group name, action type, status (success, warning or error) and date.
.topic 2532
Double click or right-click on a log to open it.
.topic 2556
You can also open the History window if you right-click the job/group in the backup list and choose the Job History/Group History option.
.topic 2557
In this case, the History window will be automatically filtered for that backup job/group.
.topic 2558
You can customize the History window if you right-click on the header and check another columns.
.topic 2551
The available columns are:
.topic 2552
Name - shows the name of the backup job/group. It cannot be unchecked
.topic 2553
Kind - shows the kind of the backup: job or group
.topic 2554
Default Backup Type - shows the default backup type for each backup job
.topic 2547
Action Type - shows what action was performed: backup, restore, test or cleanup
.topic 2548
Action Backup Type - shows what type of backup was performed: mirror
.topic 2549
Forced - shows if the backup type was forced or it was the default one
.topic 2550
Application - shows if the main application or command line was used to run that backup
.topic 2543
Start Date - shows the backup start date
.topic 2544
End Date - shows the backup end date
.topic 2545
Duration - shows the backup duration
.topic 2546
Status - shows the backup status: success, warning or error
.topic 2539
Files - shows the number of files backed up
.topic 2540
Folders - shows the number of folders backed up
.topic 2541
Size Uncomp - shows the uncompressed backup size
.topic 2542
Size Comp - shows the compressed backup size
.topic 2535
Log Path - shows the path of the log file
.topic 2536
Under the history list, there is the Export button which can be used to Export all columns or Export all visible columns.
.topic 2537
Selecting one of these two options, will open the Save statistics as window where you can type a name and select the path for the file.
.topic 2538
The history will be exported into a CSV file format.
.topic 2371
Overview
.topic 2374
Using the New Backup Wizard you can easily create a new backup job. The steps in wizard must be followed in the given order.
.topic 2373
If you want to create a new backup job using advanced options, you can do that by pressing the Advanced mode button that will open the Backup Properties window. All settings from the New Backup Wizard are included in the Backup Properties.
.topic 2372
The New Backup Wizard will be used to create new backup jobs, if the Use New Backup Wizard to create backup jobs option (from the Other  section in Tools->Options->Preferences) is checked. If that option is not checked, the Backup Properties will be used to create new backup jobs.
.topic 2443
Related Topics:
.topic 2444
New Backup Wizard - Name and destination
.topic 2445
New Backup Wizard - What do you want to backup?
.topic 2446
New Backup Wizard - How do you want to backup?
.topic 2447
New Backup Wizard - When do you want to backup?
.topic 2454
Name and destination
.topic 2455
In the first step of the New Backup Wizard you can configure the backup name and the backup destination.
.topic 2456
[PICTURE 56 new backup wizard1.png]
.topic 2457
Name your backup
.topic 2458
Backup Name
.topic 2459
Enter the name of the backup job. This name will appear in the backup list, right under the chosen picture. This field is mandatory.
.topic 2460
The name of the backup job is closely related to the name of the subdirectory in destination that contains zipped and mirrored files and to the name of the catalog. That is why when you rename the backup job, the name of the catalog and the name of the subdirectory from destination are also changed if possible.
.topic 2828
If the destination is on HDD (local), LAN (network)  the name of the subdirectory and the name of the catalog are always changed, except for the case when you do not have enough permission to rename or some files are locked.
.topic 2462
Where do you want to save your backup
.topic 2463
User can select one of the available destinations:
.topic 2464
Local: hard disk drive, floppy drive, zip drive, USB drive, mapped network drive
.topic 2465
Network: UNC network drive
.topic 2467
Related Topics:
.topic 2468
New Backup Wizard - Overview
.topic 2469
New Backup Wizard - What do you want to backup?
.topic 2470
New Backup Wizard - How do you want to backup?
.topic 2471
New Backup Wizard - When do you want to backup?
.topic 2375
Local
.topic 2380
You can use a valid local destination for your backup: hard disk drives, floppy disk drives, zip drives, USB drives or other removable media.
.topic 2379
The Local option is selected by default when you define a new backup. From the Drive list, you can select either one of your hard disk partitions, mapped network drives, the floppy disk, or other removable drive. By default, the first partition is selected (usually C:).
.topic 2378

.topic 2377
In the Folder where to perform the backup field by default it is the path to the My Backup4all 4 folder (\Users\<user name>\Documents\MyBackup4all 4). You can click on the Select another destination icon [PICTURE browse.png] and browse to a destination folder of your choice where the backup will be stored.
.topic 2376
If the destination drive is missing (when the network is disconnected for instance or floppy, is missing), an error message is shown containing the list of missing drives. The user can choose Cancel to stop the backup process or Retry to check the drive again. If the scheduler starts the backup then the system will retry as many times as set in the Tools->Options->Backup window and if still not possible to access the drive it will abort the backup process.
.topic 2448
Related Topics:
.topic 2449
New Backup Wizard - Name and destination
.topic 2381
Network
.topic 2382
You can use a network destination for your backup by selecting the Network option in the Where do you want to save your backup? section.
.topic 2383
 [PICTURE 57 new backup wizard2.png]
.topic 2384
Click the Browse button and go through the My Network Places to select a destination where the backup will be stored.
.topic 2385
You can also enter network paths in the Folder field. Only a full path is allowed. For example, suppose \\Backup_Server\PC1 is mapped on your workstation as drive X, then the following paths are both valid and indicate the same folder: \\Backup_Server\PC1\Backup or X:\Backup.
.topic 2386
Make sure you can write in the destination and in the selected folder (you have the proper rights and the media is not write-protected) before finishing the backup configuration. You can enter an User name and Password to access the network destination if it requires authentication. If you are logged in as an user that has rights to write to the specified network destination, you can check the First use Windows auth. option. What this option does is that it checks on the network destination if the logged in user has rights to access it.
.topic 2387
After entering the path and eventually the username and password, use the Test button to see if the destination is reachable and that you have sufficient rights to access it. The network connection was tested successfully pop-up message means that the network destination was accessible. In case of insufficient rights the following error message will appear: Network connection error. Access is denied. In this case you have to either make sure that the entered username and password values are correct, or contact the network administrator to obtain the necessary rights.
.topic 2388
If the destination is missing (when the network is disconnected), an error message is shown.
.topic 2389
[PICTURE 58 new backup wizard3.png]
.topic 2390
The user can choose Cancel to stop the backup process or Retry to check the network connection again. If the scheduler starts the backup then the system will retry as many times as set in the Tools->Options->Backup window and if still is not possible to access the network destination, it will abort the backup process.
.topic 2450
Related Topics:
.topic 2451
New Backup Wizard - Name and destination
.topic 2391
FTP
.topic 2392
Backup4all supports backing up to a remote computer or device using FTP (File Transfer Protocol) connection. This is a practical backup destination because the backed up data can be easily accessed from any other computer with an Internet connection. Select the FTP option from the Where do you want to save your backup? section to be able to configure the backup to FTP.
.topic 2393
[PICTURE 59 new backup wizard4.png]
.topic 2394
Use configuration
.topic 2395
You can select an already defined FTP configuration given that you added one in the Tools->Options->FTP window. All the fields will be filled with the information from the configuration file. If no configuration was previously defined, you will have to enter the other details.
.topic 2396
Host / Port
.topic 2397
In this field you have to enter the name or IP address for the FTP server and a port if different than the default FTP port (21). The format is host:port; e.g. ftp.Backup4all.com:1002 will backup to ftp.Backup4all.com connecting through port 1002.
.topic 2398
Folder
.topic 2399
Enter a folder name where the backup files will be stored on the remote computer via FTP. If the folder does not exist, a new one is created with that name. If that field is left blank, Backup4all will automatically create a folder using the name of the backup job and place the backup files in there.
.topic 2400
User
.topic 2401
In these field you can enter the user name for the FTP server.
.topic 2402
Password
.topic 2403
Type the password used for FTP server access.
.topic 2404
There are FTP servers that allow anonymous access (public FTP servers). You can connect to these types of FTP servers using as user name Anonymous and your email address as password. It is not recommended to backup important files to public FTP servers.
.topic 2405
By pressing the Test button you can check to see if the settings you have entered are correct. If the test was successful, The ftp connection was tested successfully message will be displayed.
.topic 2452
Related Topics:
.topic 2453
New Backup Wizard - Name and destination
.topic 2406
What do you want to backup?
.topic 2407
In the second step of the New Backup Wizard, you must select the files and folders to be used by Backup4all for the backup.
.topic 2408
[PICTURE 03 how to configure a new backup2.png]
.topic 2409
You can:
.topic 2410
add a whole folder by pressing the Add folder button
.topic 2411
add one or several files by pressing the Add files button
.topic 2412
remove any file or folder by selecting it and pressing the Remove button
.topic 2413
exclude subdirectories and files from backup by un-checking the thickbox [PICTURE chk-icon.png]
.topic 2414
You must add at least one file or directory in order to continue with the next step of the wizard.
.topic 2415
If the source drive is missing (when the network is disconnected for instance or floppy, CD/DVD is missing), a warning message is shown containing the list of missing drives. The user can choose Abort to stop the backup process, Retry to check the drive again, Ignore to mark the source folder as deleted and continue with the next sources. If the scheduler starts the backup then the system will retry as many times as set in the Tools->Options->Backup window and if still not possible to access the drive it will abort the backup process.
.topic 2418
Tips:
.topic 2419
try to keep the number of checked files and folders greater than the number of unchecked files and folders - backup process will run faster this way.
.topic 2420
you can add files/folders to the Sources window by dragging and dropping them from Windows Explorer.
.topic 2472
Related Topics:
.topic 2473
New Backup Wizard - Overview
.topic 2474
New Backup Wizard - Name and destination
.topic 2475
New Backup Wizard - How do you want to backup?
.topic 2476
New Backup Wizard - When do you want to backup?
.topic 2421
How do you want to backup?
.topic 2423
In the third step of the New Backup Wizard you can choose the backup type.
.topic 2424
[PICTURE 61 new backup wizard6.png]
.topic 2425
How do you want to backup?
.topic 2426
From the drop-down list, you can choose one of the available options:
.topic 2430
Make mirror
.topic 2437
Make mirror
.topic 2438
A mirror backup is identical to a full backup, with the exception that the files are not compressed in zip files and they cannot be protected with a password. A mirror backup is most frequently used to create an exact copy of the backup data.  It has the benefit that the backup files can also be readily accessed using tools like Windows Explorer.
.topic 2439
If you choose the Make mirror option, you can also check the Compress option to zip each file individually, preserving the folder structure. This allows you to use the zip compression and encryption features.
.topic 2477
Related Topics:
.topic 2478
New Backup Wizard - Overview
.topic 2479
New Backup Wizard - Name and destination
.topic 2480
New Backup Wizard - What do you want to backup?
.topic 2481
New Backup Wizard - When do you want to backup?
.topic 2482
When do you want to backup?
.topic 2484
On the last page of the New Backup Wizard, you can choose When to run the backup.
.topic 2485
[PICTURE 62 new backup wizard7.png]
.topic 2486
How often?
.topic 2487
From the drop-down list, you can select one of the available option:
.topic 2488
Manually - the backup job will be started manually by the user
.topic 2489
Daily - the backup job will be started daily at its scheduled time
.topic 2490
Weekly - the backup job will be started weekly at its scheduled time
.topic 2491
Monthly - the backup job will be started monthly at its scheduled time
.topic 2492
Shutdown - the backup job will be started at the computer shutdown
.topic 2493
By default, the selected option is Manually.
.topic 2494
What day?
.topic 2495
This field is activated only when the Weekly or Monthly option is selected in the How often list.
.topic 2496
If the Weekly option is selected, you can choose the day of the week when to run the backup.
.topic 2497
If the Monthly option is selected, you can choose the day number of the month when to run the backup.
.topic 2498
What hour?
.topic 2499
From this field, you can select the hour for the backup job to start.
.topic 2500
User
.topic 2501
In this field, by default, the current logged in user's login name will be displayed.
.topic 2502
Password
.topic 2503
If your user account has a password make sure that you enter it by pressing the Set password button. We do not save your password but it is needed in order to set up the scheduled task in the Windows Task Scheduler. If your user account does not have a password you must select the Allow blank passwords when scheduling option from Tools->Options->Preferences. Also, make sure that you enter the correct password - if the password is wrong the scheduled task will not run.
.topic 2504
Related Topics:
.topic 2505
New Backup Wizard - Overview
.topic 2506
New Backup Wizard - Name and destination
.topic 2507
New Backup Wizard - What do you want to backup?
.topic 2508
New Backup Wizard - How do you want to backup?
.topic 2559
External hard drive
.topic 2572
You can select an external hard drive as destination for backup.
.topic 2823

.topic 2560
Destination
.topic 2570
If the current backup destination is not an external hard drive, you can change it by checking the Change destination to local hard drive option.
.topic 2569
From the External hard drive list, you can select either an USB or a Firewire external hard drive.
.topic 2568
You can type a folder name in the Folder field or you can click the Browse button to choose another folder where the backup will be stored.
.topic 2567
Lock the destination to this external hard drive
.topic 2566
When disconnecting and reconnecting an external drive, your computer may not assign it the same drive letter. If the drive letter was changed, the backup might fail because Backup4all is trying to backup to the same old drive letter which probably does not exist.
.topic 2565
Use this option if you want Backup4all to detect the external drive after its own serial number and automatically change the backup destination according with the new drive letter.
.topic 2564
You should not check this option if you use a rotation backup scheme with two or more external hard drives.
.topic 2563
By default, this option is not checked.
.topic 2562
Enable disk spanning
.topic 2561
The option is effective when there is not enough space to copy all files in the external drive destination. If checked, the application will copy files to the destination until a file will not fit. Then it will ask you for another drive to continue with the rest of the files. If the option is not set, Backup4all will stop when the destination drive is full.
.topic 2571
By default, this option is not checked.
.topic 2580
Related Topics:
.topic 2579
Backup Properties- Destination
.topic 2578
Destination - Local hard drive
.topic 2577
Destination - CD or DVD
.topic 2576
Destination - Removable
.topic 2575
Destination - Network
.topic 2574
Destination - FTP
.topic 2581
Removable
.topic 2582
You can save your backup to a removable drive (USB flash drive, floppy etc) as destination for backup.
.topic 2824

.topic 2590
Destination
.topic 2594
If the current backup destination is not a removable drive, you can change it by checking the Change destination to removable disk option.
.topic 2593
You can type a folder name in the Folder field or you can click the Browse button to choose another folder where the backup will be stored.
.topic 2789
Lock the destination to this external hard drive
.topic 2790
When disconnecting and reconnecting an external drive, your computer may not assign it the same drive letter. If the drive letter was changed, the backup might fail because Backup4all is trying to backup to the same old drive letter which probably does not exist.
.topic 2791
Use this option if you want Backup4all to detect the external drive after its own serial number and automatically change the backup destination according with the new drive letter.
.topic 2792
You should not check this option if you use a rotation backup scheme with two or more external hard drives.
.topic 2793
By default, this option is not checked.
.topic 2592
Erase disk before writing
.topic 2591
When this option is checked, the removable disk is erased before burning the backup files. By default this option is not marked.
.topic 2595
Volume label
.topic 2596
Use custom prefix
.topic 2597
You can type your own volume label prefix to customize the backups.
.topic 2587
Related Topics:
.topic 2586
Backup Properties- Destination
.topic 2585
Destination - Local hard drive
.topic 2584
Destination - External hard drive
.topic 2583
Destination - CD or DVD
.topic 2588
Destination - Network
.topic 2589
Destination - FTP
.topic 2598
Customize
.topic 2602
On the Customize page you can refine the backup filters. It will show a tree with all selected sources for the backup job.
.topic 2601
[PICTURE 76 backup properties filters customize.png]
.topic 2600
When a folder is selected, the Add include and Add exclude buttons from the bottom are activated (these are activated only for folders, not for individual files). That means you can replace the main filter with a customized one. The customized filter is valid only for the selected folder and its descendants. Click the Add include or Add exclude button to define the customized file filter. This will open a Filter Properties window. You can define include or exclude filters in this window just as you do in the Filter page.
.topic 2599
All files and folders for which a customized filter is applied are shown in red color. You can Edit, Copy or Delete a customized filter by selecting the folder and clicking one of the buttons bellow.
.topic 2603
Related Topics:
.topic 2604
File Filtering - File Filter
.topic 2605
Type
.topic 2609
Backup type
.topic 2825

.topic 2613
User can select one of these backup types:
.topic 2614
Mirror
.topic 2615
The backup type can be changed from the Type page in Backup Properties, or from a specific type page, by checking the box to select that type as default backup type.
.topic 2617
The mirror backup type creates in destination an exact copy of the source file without zipping them.
.topic 2623
Other
.topic 2624
If the Clear archive bit option is checked, the application will remove the Archive flag of the files that were added to the backup. By default Backup4all uses the current comparison criteria and the information from catalog file to detect if a file was modified or not since the last backup, which is more accurate than using only the Archive bit (as other backup programs do). However, if you want to backup files based only on the Archive bit attribute, you can change the comparison criteria from the Advanced->Backup window.
.topic 2625
Related Topics:
.topic 2630
Backup Properties - Full
.topic 2629
Backup Properties - Differential
.topic 2628
Backup Properties - Incremental
.topic 2627
Backup Properties - Mirror
.topic 2631
Customize prefix of backup files
.topic 2645
Typically the name of the zip file is something like: "1_C.zip", "1_D.zip" etc. (one zip for each drive). The names of these zip files do not make much sense for the user but they can be customized by pressing the Insert tag button. Following tags are predefined:
.topic 2644
Backup Name (<BACKUP NAME>)
.topic 2643
Backup Number (<BACKUP NUMBER>)
.topic 2642
Backup Type (<BACKUP TYPE>)
.topic 2641
Backup Date (<DATE>)
.topic 2640
Backup Time (<TIME>)
.topic 2639
Backup Year (<YEAR>)
.topic 2638
Backup Month (<MONTH_MMM>)
.topic 2637
Backup Month - numeric (<MONTH_MM>)
.topic 2636
Backup Week (<WEEK>)
.topic 2635
Backup Day of Week (<DAY OF WEEK>)
.topic 2634
Backup Day (<DAY>)
.topic 2633
You can also add your text in the edit tag field. Use the Preview button to see how the names of the zip files will look like.
.topic 2632
Windows does not allow the following characters in the file name: / \ * ? : " < > |
.topic 2646
Therefore Backup4all will prompt you to change these characters if present in the Customize zip name prefix field.
.topic 2647
Related Topics:
.topic 2652
Backup Properties - Type
.topic 2649
Backup Properties - Differential
.topic 2650
Backup Properties - Incremental
.topic 2651
Backup Properties - Mirror
.topic 2653
Customize prefix of backup files
.topic 2654
Typically the name of the zip file is something like: "1_C.zip", "1_D.zip" etc. (one zip for each drive). The names of these zip files do not make much sense for the user but they can be customized by pressing the Insert tag button. Following tags are predefined:
.topic 2655
Backup Name (<BACKUP NAME>)
.topic 2656
Backup Number (<BACKUP NUMBER>)
.topic 2657
Backup Type (<BACKUP TYPE>)
.topic 2658
Backup Date (<DATE>)
.topic 2659
Backup Time (<TIME>)
.topic 2660
Backup Year (<YEAR>)
.topic 2661
Backup Month (<MONTH_MMM>)
.topic 2662
Backup Month - numeric (<MONTH_MM>)
.topic 2663
Backup Week (<WEEK>)
.topic 2664
Backup Day of Week (<DAY OF WEEK>)
.topic 2665
Backup Day (<DAY>)
.topic 2666
You can also add your text in the edit tag field. Use the Preview button to see how the names of the zip files will look like.
.topic 2667
Windows does not allow the following characters in the file name: / \ * ? : " < > |
.topic 2668
Therefore Backup4all will prompt you to change these characters if present in the Customize zip name prefix field.
.topic 2674
Automatically make full backup
.topic 2675
If the differential exceeds % of full backup size
.topic 2676
In time, the size of the differential can outgrow the full version. For maximum efficiency, the size of the differential should be kept as small as possible. This option will trigger the creation of a full backup when a certain percentage of the full backup will be exceeded (default is 50%).
.topic 2677
Make full backup when the differential exceeds
.topic 2678
If this is checked, Backup4all will trigger the creation of a full backup when that custom size is reached  (default is 1 MBytes).
.topic 2669
Related Topics:
.topic 2670
Backup Properties - Type
.topic 2671
Backup Properties - Full
.topic 2672
Backup Properties - Incremental
.topic 2673
Backup Properties - Mirror
.topic 2679
Customize prefix of backup files
.topic 2680
Typically the name of the zip file is something like: "1_C.zip", "1_D.zip" etc. (one zip for each drive). The names of these zip files do not make much sense for the user but they can be customized by pressing the Insert tag button. Following tags are predefined:
.topic 2681
Backup Name (<BACKUP NAME>)
.topic 2682
Backup Number (<BACKUP NUMBER>)
.topic 2683
Backup Type (<BACKUP TYPE>)
.topic 2684
Backup Date (<DATE>)
.topic 2685
Backup Time (<TIME>)
.topic 2686
Backup Year (<YEAR>)
.topic 2687
Backup Month (<MONTH_MMM>)
.topic 2688
Backup Month - numeric (<MONTH_MM>)
.topic 2689
Backup Week (<WEEK>)
.topic 2690
Backup Day of Week (<DAY OF WEEK>)
.topic 2691
Backup Day (<DAY>)
.topic 2692
You can also add your text in the edit tag field. Use the Preview button to see how the names of the zip files will look like.
.topic 2693
Windows does not allow the following characters in the file name: / \ * ? : " < > |
.topic 2694
Therefore Backup4all will prompt you to change these characters if present in the Customize zip name prefix field.
.topic 2695
Automatically make full backup
.topic 2700
Related Topics:
.topic 2701
Backup Properties - Type
.topic 2702
Backup Properties - Full
.topic 2703
Backup Properties - Differential
.topic 2704
Backup Properties - Mirror
.topic 2705
Related Topics:
.topic 2706
Backup Properties - Type
.topic 2707
Backup Properties - Full
.topic 2708
Backup Properties - Differential
.topic 2709
Backup Properties - Incremental
.topic 2710
Compression
.topic 2711
On the Compression page, you can configure the compression and encryption settings.
.topic 2826

.topic 2719
Compression
.topic 2718
Level
.topic 2717
You can set different compression levels for the backup:
.topic 2716
Zip without compression (Fastest) - files are just copied inside the zip archive, without any compression
.topic 2715
Low compression (Fast) - select this option if the size of the zip archive is not important, but the speed of the backup is
.topic 2714
Normal compression (Medium) - this is usually the best choice because it provides the optimum rate between zip archive size and the backup speed
.topic 2713
Best compression (Slow) - use this compression level to reduce the zip archive size as much as possible (the backup speed is reduced)
.topic 2712
Use No compression or Low compression if you backup large files to speed up the backup process. Use High compression when you want to create the smallest archive possible. This option takes more time if the files included in archive are large.
.topic 2720
Do not compress files of type
.topic 2721
The filter can be applied to increase the compression performance. It defines what types of files to be stored uncompressed in the zip file. These are files that are already compressed (e.g. zip, rar, mp3 or avi) and using the zip compression on them wouldn't result in a smaller sized backup. You can use the already defined file types or you can add others using the Default compression filter list in Tools->Options->Backup. The result will be that the backup will take less time when using compression.
.topic 2722
Always use temporary folder to create zip files
.topic 2723
If checked, the zip files are created in the temporary folder and then moved to the destination folder. This means that there should be enough free disk space on the drive where the temporary folder is located.
.topic 2724
When backing up to removable media (floppy, zip disk, etc.) this option is ignored, the zip files are always created in the temporary folder and then copied to the destination. When backing up to internal hard drives or LAN, you should uncheck this option to speed up the backup execution. By default this option is not checked.
.topic 2725
Use alternate zipping mode
.topic 2726
If not checked (default zipping mode), each file is compressed in blocks that are immediately added to the final zip file. If checked (alternate zipping mode), each file is compressed in blocks in a temporary file. When the whole file is compressed in the temporary file, it is added to the final zip file.
.topic 2727
This option has effect only when backing up to internal hard drives and LAN. In all other cases this option is ignored. When backing up to LAN drives, it is recommended to check this option and uncheck Always use temporary folder to create zip files option. When backing up to internal hard drives, it is recommended to uncheck both options. By default this option is not checked.
.topic 2728
Encrypt the zip files
.topic 2729
No encryption
.topic 2730
The zip files created are not protected by password for unauthorized access.
.topic 2737
Standard encryption (Zip2 compatible)
.topic 2738
This is the standard Zip 2.0 encryption: an older encryption technique that provides relatively weak security compared to AES encryption. Zip 2.0 encryption format cannot provide protection from individuals with access to specialized password recovery tools. Its advantage over AES encryption is the compatibility with all third party zip applications.
.topic 2739
Set password
.topic 2740
After you press this button, a windows with the following fields will appear:
.topic 2741
New password
.topic 2742
Manually enter the password you want to use for your zip files in this field
.topic 2743
[PICTURE 84 backup properties compression2.png]
.topic 2744
Confirm new password
.topic 2745
Re-enter the password in this field to avoid typing errors.
.topic 2746
Old password
.topic 2747
This field is enabled only when the backup job already has a password. You can change the password only if you enter the old one in this field. This way only the owner of the backup will be allowed to change the password.
.topic 2748
The system makes it possible to set different passwords for the same backup job, so the backup may contain zip files with different passwords.
.topic 2749
Tips:
.topic 2750
when choosing a password, it is recommended that you use a combination of letters and numbers and at least 8 characters.
.topic 2751
Backup4all does not store passwords. Make sure that you remember all passwords that have been used for a backup job, or you will not be able to restore your files.
.topic 2765
Related Topics:
.topic 2764
Backup Properties - Type
.topic 2766
Run action before backup
.topic 2769
Run program/action
.topic 2768
Check this option and select one of the predefined actions or choose a different executable file. You can either enter directly the path to the program (has to be between quotes) or click the [PICTURE browse.png] button to browse for the file. Backup4all waits until the action is finished before proceeding with the actual backup process.
.topic 2767
The <Clear backup> predefined action deletes the ".bkc" file and all zip files associated with the current backup job. If this action is set, then the backup performed is a full backup, even if the backup type is set to fast mirror. You can customize it with the following parameters (numbers can be changed as necessary):
.topic 2770
<Clear backup d=7> - Clear backup is executed only if 7 days have passed since the first backup increment (the full backup).
.topic 2771
<Clear backup n=10> - Clear backup is executed only if the number of file versions is 10.
.topic 2772
<Clear backup d=7 n=10> - Clear backup is executed if 7 days have passed since the first backup increment (the full backup) or if the number of file versions is 10.
.topic 2773
<Clear backup dw=1,2,7> - Clear backup is executed only in the first, second and seventh day of the week (Monday, Tuesday and Sunday in the given example). Valid values: 1-7 (if a parameter outside of these values is set, it will be ignored).
.topic 2774
<Clear backup dm=23, 30> - Clear backup is executed only in the 23rd and 30th day of the month. Valid values: 1-31 (if a parameter outside of these values is set, it will be ignored, same as using the value 31 for a month having only 30 days).
.topic 2775
Run only once
.topic 2776
If this option is set, the action will run only once at the next backup execution and the Run program/action option will be reset and disabled afterwards.
.topic 2777
Run action after backup
.topic 2778
Run program/action
.topic 2779
Check this option and select one of the predefined actions or choose a different executable file. You can either enter directly the path to the program (has to be between quotes) or click the [PICTURE browse.png] button to browse for the file. Backup4all does not wait for the action to be finished before proceeding.
.topic 2780
Available predefined actions:
.topic 2781
<Stand by> - The computer will enter in the Stand by state after the backup is executed.
.topic 2782
<Hibernate> - Computer enters in Hibernate (if available) after the backup execution.
.topic 2783
<Log off> - Logs off current user.
.topic 2784
<Shut down> - Shuts down the computer after the backup was executed.
.topic 2785
Run only once
.topic 2786
If this option is set, the action will run only once at the next backup execution and the Run program/action option will be reset and disabled.
.topic 2787
Run action on
.topic 2788
You can set conditions to run the action after the backup: on Success, on Warnings or on Errors. You can check multiple options or a single one, but at least one option must be checked.
.topic 2330
Options - Email
.topic 2331
Options - Updates
.topic 2192
Views
.topic 2201
Default view
.topic 2209
The selected view will be assigned as default to the Views button from the application toolbar.
.topic 2208
The possible views are: Brief, Explore, Backup, Statistics and Summary.
.topic 2207
Show explorer icons
.topic 2206
If checked a small icon is shown for each file in the Explore view. The icon is the standard icon associated with the type of the file. You will see the same icons as in Windows Explorer. If the Explore view contains a large number of files, you can uncheck this option to show files faster. By default this option is checked.
.topic 2205
Hide empty folders on expand all
.topic 2204
If checked the folders that do not show any file in the Explore view will be automatically hidden when pressing the Expand All button. By default this option is not checked.
.topic 2203
Show context menu
.topic 2202
If checked it will display the context menu when right clicking on a file or folder in the main window's Explore view or the Sources page of the Backup Properties and New Backup Wizard windows. By default this option is checked.
.topic 2210
Job list
.topic 2211
Background color
.topic 2212
Press the (...) button if you want change the background color of the main window's Backup List and the button list of the Backup Properties window.
.topic 2213
View list as
.topic 2214
Choose the listing mode for the backup jobs and groups in the Backup List. The possible choices are: Tree, Icons and List.
.topic 2215
Sort backup jobs alphabetically in a group
.topic 2216
If checked the backup jobs are sorted alphabetically in each backup group. By default this option is not checked.
.topic 2217
Measurement unit
.topic 2218
Auto
.topic 2219
If checked the file sizes are shown like in Windows Explorer. By default this option is checked.
.topic 2220
Custom
.topic 2221
If checked you can see all file sizes in the same unit. You can set the desired unit from the drop down list. Possible choices are: Bytes, KB (kilobytes), MB (megabytes) or GB (gigabytes). Be advised that if you select GB as a unit, for files under 10MB the size will be shown as 0GB. By default this option is not checked.
.topic 2222
Other
.topic 2817

.topic 2223
NTFS daylight saving correction
.topic 2224
The Windows NT File System (NTFS) reports wrong file times after the clock changes according to daylight saving time rules. As a consequence, the program sees these files as changed and backs them up. When you check this option these files will not be reported as modified. By default this option is checked.
.topic 2225
Show Task Scheduler error message
.topic 2226
If checked Backup4all will show an error message when a scheduled backup has errors. This requires user intervention for the backup to continue. By default this option is checked.
.topic 2227
Allow blank passwords when scheduling
.topic 2228
If checked this option will enable usage of blank passwords in your Windows system and in Windows Task Scheduler.
.topic 2814
When checking this option you may receive a message from you antivirus, letting you know there is a suspicious activity in Backup4all.exe that might pose a security risk. You don't have to worry, you can press OK because Backup4all just wants to modify a registry entry to allow blank passwords.
.topic 2229
[PICTURE 108 options preferences3.png]
.topic 2230
Blank passwords are disabled in Windows by default as a security measure. Instead of enabling this option we recommend to set a password for each Windows user account. By default this option is not checked.
.topic 2239
If you uncheck this option at a later time, you will be informed that for existing scheduled backups you'll need to provide an username/password in order to be able to run them.
.topic 2231
[PICTURE 109 options preferences4.png]
.topic 2232
Warn when insecure passwords are used
.topic 2233
If checked Backup4all will display a warning window when you enter passwords for zip encryption that contain less than 8 characters.
.topic 2234
Show hidden files in open dialogs
.topic 2235
If checked files marked as hidden will be displayed in Open dialogs. This is very useful if you want to add hidden files to your backup sources. By default this option is checked.
.topic 2236
Use New Backup Wizard to create backup jobs
.topic 2237
If checked, when pressing the File->New Backup button, the New Backup Wizard will be open.
.topic 2238
If unchecked, the Backup Properties will be used to create the new job.
.topic 2332
Options - Updates
.topic 2318
Updates
.topic 2329
On the Updates page of the Options window (accessible from the Tools, Options menu item) you can configure Backup4all when to check for updates.
.topic 2821

.topic 2319
Check for updates
.topic 2320
Check mode
.topic 2328
User can choose one of these modes:
.topic 2327
Manual - user will manually check for new updates. This option is selected by default.
.topic 2326
Reminder - the program will remind you with the selected frequency to check for new updates
.topic 2325
Automatically - the program will automatically check for new updates with the selected frequency.
.topic 2324
Frequency
.topic 2323
User can set the frequency for Backup4all to remind or to automatically check for new updates.
.topic 2322
Check at application startup
.topic 2321
If checked, the program will check for new updates at application startup.
.topic 2357
Related Topics:
.topic 2367
Options - General
.topic 2366
Options - Preferences
.topic 2365
Options - Startup
.topic 2364
Options - Application folder
.topic 2363
Options - Backup
.topic 2362
Options - Filters
.topic 2361
Options - Logs and history
.topic 2360
Options - Backup on demand
.topic 2359
Options - CD or DVD
.topic 2358
Options - FTP
.topic 2368
Options - Email
.topic 2799
Support Request
.topic 2800
Before asking for support, please make sure you have installed the latest version of Backup4all. Also visit our online Knowledgebase, as it contains valuable information and your questions might already be answered there.
.topic 2801
If you can’t find an answer to your questions in our Knowledgebase, please go to Backup4all’s Help tab and click on Support Request. This will open an email and it will include at the bottom some basic information we would need (application build number, operating system and registration details).
.topic 2802
Please include in your support request the following details:
.topic 2810
Exactly what did you do?
.topic 2811
Can you reproduce the problem again?
.topic 2812
If possible send us a screenshot of the error message.
.topic 2813
We might ask you for additional information, if we cannot reproduce the problem.
.topic 2186
Support
.topic 2187
If you want to report bugs, feature requests or want to ask general software usage questions, you can contact our support department.
.topic 2191
Pressing the General Support button, starts a new email message that will be sent to the support team.
.topic 2189
If you experience any problems during the registration process, you can contact our sales department.
.topic 2188
Pressing the Sales Support button, starts a new email message that will be sent to the sales team.
.topic 2183
Check for Updates
.topic 2822

.topic 2185
You can manually check for updates from Help -> Check for Updates.
.topic 2184
In the Upgrade window, you can see if there are any updates available and what is new in the update.
.topic 2796
About
.topic 2797
The About page of Backup4all contains information about the version and edition you have installed, as well as the information about the registration status. If Backup4all is registered, you can see the Registration Name and Registration Key, otherwise it will show as UNREGISTERED and mention the number of days left until the trial version expires.